#
# Debug controls
#
label debugMenu:
    if not debugShow:
        return
    $ renpy.dynamic('coll', 'collName', 'name', 'npc', 'npcName', 'origBg', 'origDebug', 'usr')
    $ origBg = lastBg
    $ showBg('debug')
    # show screen debugStats
    $ origDebug = debug
    $ debug = False
    $ npc = None
label .loop:
    menu:
        "-- Debug Menu --"
        "Player":
            call .player
        "Lacy":
            $ npc = lacy
            $ npcName = "Lacy"
            call .npc
        "Sofia":
            $ npc = sofia
            $ npcName = "Sofia"
            call .npc
        "Steve":
            $ npc = steve
            $ npcName = "Steve"
            call .npc
        "State":
            call .stats
        "Call":
            $ prompt = "Enter label:"
            $ name = renpy.input(prompt, length=36)
            $ name = name.strip()
            if not isEmpty(name):
                call expression name
        "Return to game":
            $ npc = None
            $ debug = origDebug
            $ restoreBg(origBg)
            return
    jump .loop

label .stats:
    $ coll = None
    $ collName = None
    menu:
        "Choose stat type to inspect or change."
        "Counters":
            $ coll = counters
            $ collName = 'Counters'
            call .counters
        "Day Counters":
            $ coll = dayCounters
            $ collName = 'Day Counters'
            call .counters
        "Flags":
            $ coll = flags
            $ collName = 'Flags'
            call .flags
        "Day Flags":
            $ coll = dayFlags
            $ collName = 'Day Flags'
            call .flags
        "Time":
            call .gtime
        "Events":
            call .schedule
        "World":
            call .world
        "Back":
            return
    jump .stats


label .counters:
    $ name = None
label .counterLoop:
    if name == None:
        $ prompt = "{}: {}".format(collName, coll.debug(100))
    else:
        $ prompt = "{} Counter({})={}".format(collName, name, coll.get(name))
    menu:
        "[prompt]"
        "Choose" if name == None:
            $ prompt = "Counter name:"
            $ name = renpy.input(prompt, length=24)
            $ name = name.strip()
            if isEmpty(name):
                $ name = None
        "Inc" if name != None:
            $ coll.inc(name)
        "Dec" if name != None:
            $ coll.dec(name)
        "Set" if name != None:
            $ prompt = "New value:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ coll.set(name, int(usr))
        "Set=1" if name != None:
            $ coll.set(name)
        "Reset" if name != None:
            $ coll.reset(name)
        "Delete" if name != None:
            $ coll.delete(name)
            $ name = None
        "isOnce" if name != None:
            $ tmp = coll.isOnce(name)
            dbg "isOnce([name])=[tmp]"
        "Deselect" if name != None:
            $ name = None
        "Back" if name == None:
            return
    jump .counterLoop

label .flags:
    $ prompt = collName + ": " + coll.debug()
    menu:
        "[prompt]"
        "Set flag":
            $ prompt = "Flag name to set:"
            $ name = renpy.input(prompt, length=24)
            $ name = name.strip()
            if not isEmpty(name):
                $ coll.set(name)
        "Clear flag":
            $ prompt = "Flag name to clear:"
            $ name = renpy.input(prompt, length=24)
            $ name = name.strip()
            if not isEmpty(name):
                $ coll.clear(name)
        "Back":
            return
    jump .flags

label .schedule:
    $ prompt = gt.debugEvents(99)
    menu:
        "[prompt]"
        "Select":
            call .schedSelect
        "New":
            $ tmp = gt.scheduleOnDay('debugMenu.noop', gt.dayNum)
            if tmp == None:
                dbg "Event already scheduled"
            else:
                $ tmp.rejLabel = 'debug.reject'
                call .schedEdit
        "Test":
            $ tmp = gt.getEventNow()
            if tmp == None:
                dbg "No event scheduled now."
            else:
                call expression tmp.evLabel
                $ gt.doneEvent(tmp)
        "Back":
            return
    jump .schedule

label .schedSelect:
    $ renpy.dynamic('listLen')
    $ opt = 0
label .schedLoop:
    $ listLen = gt.lenEvents()
    if listLen == 0:
        dbg "Event list empty."
        return
    if opt >= listLen:
        $ opt = listLen - 1
    $ tmp = eventList[opt]
    $ prompt = "Event: {} of {}: {}".format(opt+1, listLen, tmp)
    menu:
        "[prompt]"
        "Next" if opt < listLen - 1:
            $ opt += 1
        "Prev" if opt > 0:
            $ opt -= 1
        "Edit":
            call .schedEdit
        "Back":
            return
    jump .schedLoop

label .schedEdit:
    $ prompt = "Event: " + str(tmp)
    if tmp.desc != None:
        $ prompt += " \"" + tmp.desc + "\""
    if tmp.rejLabel != None:
        $ prompt += " or " + tmp.rejLabel
    menu:
        "[prompt]"
        "Desc":
            $ prompt = "New desc:"
            $ name = renpy.input(prompt, length=24)
            $ name = name.strip()
            $ dbg("Name: '{}'' {} len={}".format(name, type(name), len(name)))
            if isEmpty(name):
                $ name = None
            $ tmp.desc = name
        "Event":
            $ prompt = "New label:"
            $ name = renpy.input(prompt, length=24)
            $ name = name.strip()
            if not isEmpty(name):
                $ tmp.evLabel = name
        "Reject":
            $ prompt = "New reject label:"
            $ name = renpy.input(prompt, length=24)
            $ name = name.strip()
            if isEmpty(name):
                $ name = None
            $ tmp.rejLabel = name
        "Day":
            $ prompt = "New day number:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ tmp.dayNum = int(usr)
        "Start Hour":
            $ prompt = "New start hour:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ tmp.startHr = int(usr)
        "End Hour":
            $ prompt = "New end hour:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ tmp.endHr = int(usr)
        "Delete":
            $ gt.doneEvent(tmp)
            return
        "Back":
            $ gt.evStr = gt.debugEvents()
            return
    jump .schedEdit



label .gtime:
    $ prompt = "Day: {}, {} Time:{}".format(gt.dayNum, gt.dayAbbr, gt.hourStr)
    menu:
        "[prompt]"
        "08:00":
            $ gt.setHour(8)
        "12:00":
            $ gt.setHour(12)
        "18:00":
            $ gt.setHour(18)
        "+1":
            $ gt.addHours(1)
        "Next Day":
            if gt.hour == 8:
                $gt.addHours(1)
            $ gt.nextDay(8)
        "Back":
            return
    jump .gtime

label .world:
    $ prompt = "World: loc={} home={} work={}".format(world.locLabel, world.homeLabel, world.workLabel)
    $ prompt += "\ndayOver={}, noReturn={} noSleep={} working={}".format(world.dayOver, world.noReturn, world.noSleep, world.working)
    if world.tmpHomeLabel != None:
        $ prompt += "\ntmpHomeLabel={}".format(world.tmpHomeLabel)
    if world.tmpWorkLabel != None:
        $ prompt += "\ntmpWorkLabel={}".format(world.tmpWorkLabel)
    menu:
        "[prompt]"
        "Set Loc":
            $ prompt = "New location label:"
            $ usr = renpy.input(prompt, length=24)
            $ usr = usr.strip()
            if not isEmpty(usr):
                $ world.setLoc(usr)
        "Set Home":
            $ prompt = "New home label:"
            $ usr = renpy.input(prompt, length=24)
            $ usr = usr.strip()
            if not isEmpty(usr):
                $ world.homeLabel = usr
        "Temporary Home":
            call .worldTmpHome
        "Work":
            call .worldWork
        "Temporary Work":
            call .worldTmpWork
        "Flags":
            call .worldFlags
        "Back":
            return
    jump .world

label .worldFlags:
    $ prompt = "Flags: dayOver={}, noReturn={} noSleep={} working={} ".format(world.dayOver, world.noReturn, world.noSleep, world.working)
    menu:
        "[prompt]"
        "Day over":
            $ world.dayOver = not world.dayOver
        "No return":
            $ world.noReturn = not world.noReturn
        "No sleep":
            $ world.noSleep = not world.noSleep
        "Working":
            $ world.working = not world.working
        "Back":
            return
    jump .worldFlags

label .worldTmpHome:
    $ prompt = "TmpHome: {} tmpWakeHr={} tmpHomeLastDay={}".format(world.tmpHomeLabel, world.tmpWakeHr, world.tmpHomeLastDay)
    menu:
        "[prompt]"
        "Set tmp home":
            $ prompt = "New temporary home label:"
            $ usr = renpy.input(prompt, length=36)
            $ usr = usr.strip()
            if not isEmpty(usr):
                $ world.tmpHomeLabel = usr
        "Tmp wake hour" if world.tmpHomeLabel != None:
            $ prompt = "New start hour 0..23:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.tmpWakeHr = int(usr)
        "Tmp home last day" if world.tmpHomeLabel != None:
            $ prompt = "New start hour 0..23:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.tmpHomeLastDay = int(usr)
        "Clear" if world.tmpHomeLabel != None:
            $ world.tmpHomeLabel = None
        "Back":
            return
    jump .worldTmpHome

label .worldWork:
    if world.workLabel == None:
        $ prompt = "Not defined"
    else:
        $ prompt = "workLabel={}  startHr={} endHr={} daysOw={} \
        ".format(world.workLabel, world.workStartHr, world.workEndHr, world.workDays)
    $ prompt += "\nisWorkDay={} isWorkTime={}".format(world.isWorkDay(), world.isWorkTime())
    menu:
        "[prompt]"
        "Set loc":
            $ prompt = "New location label:"
            $ usr = renpy.input(prompt, length=36)
            $ usr = usr.strip()
            if not isEmpty(usr):
                $ world.setWork(usr)
        "Start hour" if world.workLabel != None:
            $ prompt = "New start hour 0..23:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.workStartHr = int(usr)
        "End hour" if world.workLabel != None:
            $ prompt = "New end hour 0..23:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.workEndHr = int(usr)
        "Days of week":
            $ coll = world.workDays
            call .worldWorkDayToggle
            $ world.workDays = coll
        "Back":
            return
    jump .worldWork

label .worldTmpWork:
    if world.tmpWorkLabel == None:
        $ prompt = "Not defined"
    else:
        $ prompt = "tmpWorkLabel={} startDay={} lastDay={} startHr={} endHr={} daysOw={} \
        ".format(world.tmpWorkLabel, world.tmpWorkStartDay, world.tmpWorkLastDay, world.tmpWorkStartHr, world.tmpWorkEndHr, world.tmpWorkDays)
    $ prompt += "\nisTmpWorkDay={} isTmpWorkTime={}".format(world.isTmpWorkDay(), world.isTmpWorkTime())
    menu:
        "[prompt]"
        "Create" if world.tmpWorkLabel == None:
            $ prompt = "New location label:"
            $ usr = renpy.input(prompt, length=36)
            $ usr = usr.strip()
            if not isEmpty(usr):
                $ world.tmpWorkLabel(usr)
        "Set loc" if world.tmpWorkLabel != None:
            $ prompt = "New location label:"
            $ usr = renpy.input(prompt, length=36)
            $ usr = usr.strip()
            if not isEmpty(usr):
                $ world.tmpWorkLabel(usr)
        "Start day" if world.tmpWorkLabel != None:
            $ prompt = "New start day:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.tmpWorkStartDay = int(usr)
        "Last day" if world.tmpWorkLabel != None:
            $ prompt = "New start day:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.tmpWorkLastDay = int(usr)
        "Start hour" if world.tmpWorkLabel != None:
            $ prompt = "New start hour 0..23:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.tmpWorkStartHr = int(usr)
        "End hour" if world.tmpWorkLabel != None:
            $ prompt = "New end hour 0..23:"
            $ usr = renpy.input(prompt, "", allow="0123456789")
            if not isEmpty(usr):
                $ world.tmpWorkEndHr = int(usr)
        "Days of week" if world.tmpWorkLabel != None:
            $ coll = world.tmpWorkDays
            call .worldWorkDayToggle
            $ world.tmpWorkDays = coll
        "Clear" if world.tmpWorkLabel != None:
            $ world.clearTmpWork()
        "Back":
            return
    jump .worldTmpWork

label .worldWorkDayToggle:
    $ prompt = "Days: "
    if len(coll) == 0:
        $ prompt += "None"
    else:
        python:
            for dayOw in coll:
                prompt += str(dayOw) + " "
    menu:
        "[prompt]"
        "Monday":
            $ toggleDayOw(coll, 0)
        "Tuesday":
            $ toggleDayOw(coll, 1)
        "Wednesday":
            $ toggleDayOw(coll, 2)
        "Thursday":
            $ toggleDayOw(coll, 3)
        "Friday":
            $ toggleDayOw(coll, 4)
        "Saturday":
            $ toggleDayOw(coll, 5)
        "Sunday":
            $ toggleDayOw(coll, 6)
        "Back":
            return
    jump .worldWorkDayToggle


label .player:
    menu:
        "Player Character [pc.name] gsize=[pc.gsize]"
        "Diet":
            call .playerDiet
        "Energy":
            call .playerEnergy
        "Fat":
            call .playerFat
        "Fat limit":
            call .playerFatLim
        "Full":
            call .playerFull
        "Greed":
            call .playerGreed
        "Money":
            call .playerMoney
        "Mood":
            call .playerMood
        "Back":
            return
    jump .player

label .playerFatLim:
    $ fat = pc.getBodyFatPer()
    $ tmp = pc.isDietConsider()
    $ prompt = ""
    if npc is not None:
        $ opt = npc.opinionPc()
        $ prompt = ", {} opinion {}".format(npcName, opt)
    menu:
        "FatLim=[pc.fatLim:0.2f] fat=[pc.fat:0.2f] bfp=[fat:0.1f] dietConsider=[tmp][prompt]"
        "+10":
            $ pc.addLim(10)
        "+5":
            $ pc.addLim(5)
        "-5" if pc.fat > 0:
            $ pc.addLim(-5)
        "-10" if pc.fat > 0:
            $ pc.addLim(-10)
        "Back":
            return
    jump .playerFatLim

label .playerDiet:
    menu:
        "Diet=[pc.diet] dietHard=[pc.dietHard] cheatDay=[pc.cheatDay] dietDays=[pc.dietDays] dietGoal=[pc.dietGoal:0.1f] dietWill=[pc.dietWill]"
        "Start diet" if not pc.diet:
            $ goal = pc.fat * 0.9
            $ pc.dietStart(7, goal)
        "Stop diet" if pc.diet:
            $ pc.dietStop()
        "Willpower 90%%" if pc.diet and pc.dietWill >= 50:
            $ pc.dietWill = 90
        "Willpower 50%%" if pc.diet and (pc.dietWill >= 90 or pc.dietWill < 50 and pc.dietWill >= 25):
            $ pc.dietWill = 50
        "Willpower 25%%" if pc.diet and (pc.dietWill >= 50 and pc.dietWill < 90 or pc.dietWill < 25):
            $ pc.dietWill = 25
        "Willpower 1%%" if pc.diet and pc.dietWill <= 25:
            $ pc.dietWill = 1
        "Meet goal" if pc.diet:
            $ pc.fat = pc.dietGoal
        "End diet days" if pc.diet:
            $ pc.dietDays = 0
        "Test willpower":
            if pc.testDietWill():
                pc "I'm sticking to my diet."
            else:
                pc "Too tempting, it's going to be a cheat day."
        "Test diet":
            $ debug = True
            call player.thinkDiet
            $ debug = False
        "Toggle cheatDay":
            $ pc.cheatDay = not pc.cheatDay
        "Back":
            return
    jump .playerDiet

label .playerEnergy:
    menu:
        "Energy=[pc.energy]"
        "Zero":
            $ pc.energy = 0
        "One":
            $ pc.energy = 1
        "Full":
            $ pc.energy = 10
        "More" if pc.energy < 10:
            $ pc.energy += 1
        "Less" if pc.energy > 0:
            $ pc.energy -= 1
        "Back":
            return
    jump .playerEnergy

label .playerFat:
    $ fat = pc.getBodyFatPer()
    $ tmp = pc.isDietConsider()
    $ prompt = ""
    if npc is not None:
        $ opt = npc.opinionPc()
        $ prompt = ", {} opinion {}".format(npcName, opt)
    menu:
        "Fat [pc.fat:0.2f] weight=[pc.weightLb:0.1f]lb gsize=[pc.gsize] bfp=[fat:0.1f]%% dietConsider=[tmp][prompt]"
        "+10":
            $ pc.fat += 10
        "+5":
            $ pc.fat += 5
        "+1":
            $ pc.fat += 1
        "-1" if pc.fat > 0:
            $ pc.fat -= 1
        "-5" if pc.fat > 0:
            $ pc.fat -= 5
        "-10" if pc.fat > 0:
            $ pc.fat -= 10
        "Back":
            return
    if pc.fat < 0:
        $ pc.fat = 0
    $ pc.updateWeight()
    call sizeChange.check
    jump .playerFat

label .playerFull:
    $ mealsize = pc.getMealSize()
    $ tmp = pc.getFullness()
    menu:
        "Full [pc.full:0.2f] fullness [tmp:0.2f]%% mealsize=[mealsize]"
        "Empty":
            $ pc.full = 0
        "Full":
            $ pc.full = pc.getFullLimit()
        "+1":
            $ pc.full += 1
        "+0.2":
            $ pc.full += 0.2
        "-0.2":
            $ pc.full -= 0.2
        "-1":
            $ pc.full -= 1
        "Back":
            return
    if pc.full < 0:
        $ pc.full = 0
    jump .playerFull

label .playerGreed:
    $ mealsize = pc.getMealSize()
    menu:
        "Greed [pc.greed:0.1f] mealsize=[mealsize]"
        "Zero":
            $ pc.greed = 0
        "Max":
            $ pc.greed = 100
        "+10":
            $ pc.greed += 10
        "+1":
            $ pc.greed += 1
        "-1":
            $ pc.greed -= 1
        "-10":
            $ pc.greed -= 10
        "Back":
            return
    if pc.greed < 0:
        $ pc.greed = 0
    jump .playerGreed

label .playerMoney:
    menu:
        "Money=[pc.money]"
        "Zero":
            $ pc.money = 0
        "+100":
            $ pc.earn(100)
        "+10":
            $ pc.earn(10)
        "+1":
            $ pc.earn(1)
        "-1":
            $ pc.spend(1)
        "-10":
            $ pc.spend(10)
        "-100":
            $ pc.spend(100)
        "Back":
            return
    jump .playerMoney

label .playerMood:
    menu:
        "Mood=[pc.mood] [pc.moodStr]"
        "Min":
            $ pc.setMood(0)
        "Mid":
            $ pc.setMood(50)
        "Max":
            $ pc.setMood(100)
        "+5":
            $ pc.addMood(5)
        "+1":
            $ pc.addMood(1)
        "-1":
            $ pc.addMood(-1)
        "-5":
            $ pc.addMood(-5)
        "Back":
            return
    jump .playerMood

label .npc:
    menu:
        "[npcName]: metCount=[npc.metCount] canCall=[npc.canCall] romance=[npc.romance] feeder=[npc.feeder]"
        "Feeder":
            call .npcFeeder
        "Opinion":
            call .npcOpinion
        "Romance":
            call .npcRomance
        "Tips":
            call .npcTips
        "Toggle canCall":
            $ npc.canCall = not npc.canCall
        "Test chat":
            $ debug = True
            call expression npcName.lower() + ".chat"
            $ debug = False
        "Back":
            return
    jump .npc

label .npcFeeder:
    menu:
        "[npcName].feeder [npc.feeder]"
        "+10":
            $ npc.addFeeder(10)
        "-10" if npc.romance > 0:
            $ npc.addFeeder(-10)
        "Back":
            return

    jump .npcFeeder

label .npcOpinion:
    $ opt = npc.opinionPc()
    $ fat = pc.getBodyFatPer()
    menu:
        "[npcName] Opinion=[opt] pcMinBfp=[npc.pcMinBfp] pcMaxBfp=[npc.pcMaxBfp] pcBfp=[fat:0.1f]"
        "+2%% min bfp":
            $ npc.pcMinBfp += 2.0
        "-2%% min bfp":
            $ npc.pcMinBfp -= 2.0
            if npc.pcMinBfp < 0.0:
                $ npc.pcMinBfp = 0.0
        "+2%% max bfp":
            $ npc.pcMaxBfp += 2.0
        "-2%% max bfp":
            $ npc.pcMaxBfp -= 2.0
            if npc.pcMaxBfp < 0.0:
                $ npc.pcMaxBfp = 0.0
        "Back":
            return
    jump .npcOpinion


label .npcRomance:
    menu:
        "[npcName].romance=[npc.romance] breakup=[npc.breakup] breakUntil=[npc.breakUntil]"
        "Max":
            $ npc.romance = 100
        "+10":
            $ npc.addRomance(10)
        "-10" if npc.romance > 0:
            $ npc.addRomance(-10)
        "Zero":
            $ npc.romance = 0
        "Break up 2 days" if not npc.breakup:
            $ npc.setBreakDays(2)
        "Break over (force)" if npc.isOnBreak():
            $ npc.breakUntil = 0
        "Make up:" if npc.breakup and not npc.isOnBreak():
            $ npc.makeup()
        "Make up (force)" if npc.breakup and npc.isOnBreak():
            $ npc.makeup()
        "Back":
            return

    jump .npcRomance

label .npcTips:
    $ tmp = 0
    if npc.tipYes > 0:
        $ tmp = npc.tipYes * 100.0 / (npc.tipYes + npc.tipNo)
    menu:
        "[npcName]: tipYes=[npc.tipYes] tipNo=[npc.tipNo] prop=[tmp:0.2f]"
        "Yes +1":
            $ npc.tip(True)
        "No +1":
            $ npc.tip(False)
        "Back":
            return

    jump .npcTips

label .noop:
    "Called Debug.noop"
    return

label .reject:
    "Called Debug.reject"
    return
