#
# Linear intro
#
label intro:
    $ gt.setDayOfWeek(0)
    $ gt.setHour(12)
    $ pc.energy = 5
    $ pc.setMoodName('unhappy')

    $ showBg('dusty-road')

    if debug:
        call debugMenu

    "
    The sun bakes down on the dusty road.
    Wind is whipping up the sandy soil,
    forming dust devils that sting your face
    and cracked lips.
    "

    "
    It's been a long trudge from the last town you left.
    Or rather been \"persuaded\" to leave.
    "

    "
    You check the faded town marker: \"Nowheresville, Pop: 78\".
    That's not the real name of course, but it might as well be.
    Your fingers trace the tarnished dimples made by shotgun pellets.
    "

    "
    Of course you check the back for \"sign\" too.
    Not exactly welcoming, these small towns never are,
    but previous travellers have recorded the gas station as a
    good place to start.
    "

    "
    Gas station it is then.
    At least it's on the edge of town and not much further.
    You run your fingers through your long lanky hair,
    though it's both dirty and wind blown.
    Not much use or opportunity for haircuts on the road.
    "

    $ showBg('forecourt')

    "
    Approaching the forecourt you pause to brush some of the road dust off
    your clothes: a sun-bleached t-shirt, ripped jeans and boots.
    Then you cinch the belt another notch over your boney hips.
    "

    $ prompt = "You've taken a lot of names over the years: Amy, Cat, Erin, Lara, Max, Viv. Who are you going to be in this town?"
    $ name = renpy.input(prompt, length=24)
    $ pc.setName(name)

    "
    There are a few pumps and an tyre inflater outside,
    and behind those on the left a garage area where a car has its
    engine out on a hoist,
    and on the right a small shop.
    "

    $ showBg('store')

    "
    A bell tinkles above the doorway as you enter the small shop area.
    One side is devoted to spares and oils of bewildering kinds, the
    other to sandwiches and munchies for travellers.
    At the back is a battered counter where the register sits.
    "

    $ mealsize = pc.getMealSize()

    menu:
        "There's no one around..."

        "Sneak some chocolate" if mealsize > 0:
            call .sneak

        "Wait":
            call .wait

    "
    An older man comes into the shop.
    His overalls are covered in grease stains
    and he's spots of dirty oil smeared across his face.
    Under the muck you see the embroidered patch that simply reads \"Joe\".
    "

    joe "Can I help you miss?"
    pc "I'm afraid there's no one here. I was just waiting."
    joe "Sorry, I'm the owner, I was just working on a car."
    pc "Hi, I'm [pc.name], and, well, I was looking for some work."

    "
    He looks your dishevelled form up and down.
    "

    joe "
    As it happens I've got a big job on with that POS engine out there,
    and could do with some help.
    I can pay you a little if you'd man the register for me.
    But I'll see to your meals, and such.
    "
    $ pc.setMood(62)

    joe "
    There's a washroom in the back, go clean yourself up first
    and grab Sally's old top.
    Best grab a sandwich too, you look half starved!
    "

    pc "Who's Sally?"

    joe "
    My daughter, left a few years back for the bright lights of the city.
    "

    joe "I'll be back when it's time to close up."

    $ showBg('washroom')

    "
    You make your way around the back of the till,
    though a small kitchenette, and into the bathroom.
    It's functional, but that's all that can be said of it.
    The sink taps are dark with oil stains.
    "

    "
    You strip off your clothes as the sink fills with warm water.
    The soap smells strongly of lemon, and as you wash your face
    you realise it is powerful stuff and oddly gritty.
    Must be good for oily hands too.
    "

    "
    The fly-blown mirror kind of shows your reflection:
    a gaunt young woman with hollow cheeks,
    not much of a chest to speak of,
    a tight flat stomach,
    and spindly thin legs.
    "

    "
    You feel better for being clean though and dunk your long hair
    in the water to get the worst of the dirt out.
    "

    "
    Sally's work top is hanging in the bathroom like she never left.
    Sentimental old git.
    You slip it on and it's really baggy,
    she must have been a chubby lass.
    "

    call nwGasLunch

    "
    You spend the rest of the afternoon working the old mechanical till,
    getting used to its quirks.
    Serving customers who for the most part are buying fuel
    and the occasional snack.
    "

    $ gt.setHour(18)
    $ pc.useEnergy(2)

    "
    Joe comes back in just after six, and goes in the back to
    wash the oil and grease off his face and hands.
    He returns and pulls some notes out of the register.
    "

    joe "
    I don't know about you, but I'm ready for beer and food.
    Let's hit the bar! Oh, and here's some spending money for
    yourself, but I'll be buying.
    "

    $ pc.earn(20)

    pc "You don't eat here?"

    joe "
    Not since my wife passed.
    Amazing what she could conjour out of that little kitchen.
    I've not the knack of it myself.
    Should of learnt I suppose.
    "
    pc "I'm so sorry."

    joe "Needn't be. We had many happy years. Not many can say that."

    "
    Like a gentleman he holds the door open for you,
    then leads you to the bar.
    "

    $ showBg('bar', 'nwBar')

    "
    You're hardly suprised that Joe's entrance should elicit cries of \"Joe!\"
    from the other regulars.
    Or of the quiet your new face brings.
    "
    joe "Everyone, this is [pc.name],
    she's going to be helping me out in the garage at staying at my place
    for a bit.
    I hope you'll all find it in your hearts to make her welcome.
    "
    pc "Hi, ... everyone."
    "
    There's a general welcoming consensus, and they turn back to their
    beers and the game.
    However, you also hear someone mutter
    \"Skinny little bitch\" too.
    "

    $ showBg('booth', 'nwBarEveJoe')

    "
    The pair of you settle into a booth, and a waitress comes over.
    "
    joe "This here's Lacy, a friendly sort, and a good soul."
    lacy "Hi Joe. [pc.name], so nice to meet you."
    lacy "Oh my, there's nothing to you is there? Just skin and bones."
    lacy "Sorry, I didn't mean to be rude. Mouth ahead of brain, as usual."

    $ flags.set("lacyOrder")
    call nwBarEveJoe.afterGreet

    $ showBg('bedroom', 'nwGas')

    "
    Back at the gas station it seems really odd without the lights on
    in the shop area. Joe leads you upstairs and shows you into a bedroom.
    "
    joe "This is Sally's room and you're welcome to use it."
    "
    He gives you a courteous nod and leaves, pulling the door shut behind him.
    "
    "
    You'll be sleeping in a bed tonight, what a luxury!
    Hopefully for a few more nights too if you don't mess this up.
    Time to sleep.
    "

    $ showBg('beddark', 'nwGas')

    $ fullness = pc.getFullness()

    if fullness > 100:
        "It takes a moment to get comfortable as your tummy is so full."
        pc "If I carry on like this I won't be \"that skinny bitch\" for long."

    # Remind player about Joe's Thursday nights.
    #
    $ flags.set("joeThur")
    return

label .sneak:
    "
    A bar of chocolate is calling to you.
    Confidently you grab it, unwrap it,
    and stuff the whole thing in your mouth.
    "
    $ food.add("chocs")
    $ pc.eatFood(food)
    $ pc.addGreed(1)
    return

label .wait:
    "You spend a moment browsing the shelves."
    return
