#
# Weekday evening trip to the bar.
#
label nwBarEveJoe:
    $ world.setLoc('nwBarEveJoe')
    call .greet
    call lacy.sizeNotice

label .afterGreet:
    $ gsize = pc.gsize
    $ mealsize = pc.getMealSize(True)
    $ foodMenu.resetMealAcc()
    $ treat = True
    $ order = ""
    $ cost = 0
    $ scale = 1.0
    $ unbutton = False
    $ lacyFeed = not lacy.isPcTooFat()

    lacy "What can I get you both this evening? The usual Joe?"
    joe "Yup."
    lacy "And you [pc.name]?"
    if pc.diet:
        call .lacyDiet

    if mealsize == 0:
        pc "I'm not actually hungry really."
        lacy "Oh. Well I'm sure you'll get peckish once Joe's eating.
        Let me get you a beer and some nibbles."
        $ food.add("beer")
        $ food.add("peanuts")
        $ pdrink = 'beer'
        $ order = "a beer and some nibbles"
    else:
        call nwBarEve.barFood
        lacy "And what sides would you like with that?"
        call nwBarEve.barSides
        lacy "Anything to drink?"
        call nwBarEve.barDrink
    lacy "So that's Joe's regular and [order] for you [pc.name].
        Great, that will be with you shortly."

    if flags.isConsume("lacyOrder"):
        pc "She got my order wrong!"
        joe "No, not really, she just thinks you need a little more skin on your bones."
        joe "You don't have to finish it."
    elif lacyFeed:
        pc "She did it again Joe."
        joe "I know, she doesn't like seeing you so thin."
        joe "You don't have to finish it."

    if mealsize > 3:
        "
        Lacy is soon back with the food, and you eagerly dig in
        before Joe even has his napkin in place.
        "
    else:
        "
        Lacy is soon back with the food.
        "
    call nwBarEve.barMainEat
    call nwBarEve.barFinishDrink
    call nwBarEve.checkStuff

    if mealsize > 3:
        "You finish before Joe, and chat until Lacy comes to clear the table."
    elif mealsize < 3:
        "Joe finishes before you,
        and gets engrossed in the game on the wall mounted TV
        while you finish."
        "Lacy is soon back to clear the table."
    else:
        "Lacy returns to clear the table once you are both done."

    if flags.isConsume('lacyUnbutton'):
        call nwBarEve.lacyUnbutton

    lacy "Was the meal to your liking?"
    if foodMenu.isSpaceFor(foodMenu.mealAcc):
        pc "Very much so. I could eat it again."
        if pc.isGreedy(30):
            call .seconds
    else:
        pc "Very much so."
    $ food.clear()

    joe "Be a dear, and get another round in would you? On my tab."
    "
    You walk up to the bar with the empties and wait to catch the barman's eye.
    "
    call .barWaitChat

    "You catch the barman's eye."
    pc "Two beers please."
    barman "On Joe's tab?"
    pc "Yes, thank you."
    $ food.add("beer")
    "
    You carry the drinks back to the table, and set one in front of Joe.
    "
    $ pc.eatFood(food)
    $ gt.addHours(1)

    $ food.clear()
    $ order = ""
    lacy "Can I interest you in a dessert?"
    if foodMenu.isSpaceFor(2) and pc.isGreedy(10):
        lacy "It's going to be yes, isn't it, I don't know why I asked."
    call nwBarEve.barPudMenu
    if psweet != None:
        lacy "One [order] coming right up."
        call nwBarEve.barPudEat
        call nwBarEve.checkStuff
        "
        Lacy comes to clear your table again.
        "
        if flags.isConsume('lacyUnbutton'):
            call nwBarEve.lacyUnbutton

    call .barStuffed
    $ pc.useEnergy(1)
    $ gt.addHours(1)

    joe "We should probably head back."
    pc "Sure, I'm ready to crash."

    if unbutton:
        if pc.getFullness > 150:
            if counters.inc('barShames') < 10:
                "
                You try to fasten yourself up, but it's not happening.
                This is going to be embarrasing.
                "
            else:
                "
                You try to fasten yourself up, but it's not happening.
                At least the regulars are used to seeing your naked tummy now.
                "
        else:
            "
            You manage, with some effort, to fasten yourself up before leaving.
            It's done, but so very tight!
            "

    joe "Goodnight Lacy, excellent as ever."
    pc "It was, wasn't it. Goodbye Lacy."
    if unbutton:
        if gsize < 4:
            $ rnd = pc.random(0, 2)
            if rnd == 0:
                lacy "Goodnight Joe, and [pc.name], you piglet. See you both soon."
            elif rnd == 1:
                lacy "Goodnight Joe, and [pc.name] our best customer. See you both soon."
            else:
                lacy "Goodnight Joe, any you Sam, who never knows when to stop. See you both soon."
        else:
            $ rnd = pc.random(0, 2)
            if rnd == 0:
                lacy "Goodnight Joe, and you Miss Piggy. See you both soon."
            elif rnd == 1:
                lacy "Goodnight Joe, and [pc.name] our most dedicated customer. See you both soon."
            else:
                lacy "Goodnight Joe, any [pc.name], who never knows when to stop. See you both soon."
    else:
        lacy "Goodnight Joe, Sam. See you both soon."

    return

    # Greetings from the regulars.
    #
label .greet:
    $ tmp = counters.inc('barVisits')
    if tmp < 10:
        "
        As Joe leads you into the noisy bar he's welcomed with a chorus
        of regulars calling \"Joe!\" and a few friendly back slaps.
        "
    elif tmp == 10:
        "
        As Joe leads you into the noisy bar you are both greeted by
        the chorus of regulars: \"Joe, Sam!\"
        So you are one of the regulars now?
        He gets a few friendly back slaps.
        You get a few hugs, and a peck on the cheek.
        "
        $ pc.addMood(0.5)
    else:
        "
        As Joe leads you into the noisy bar you are both greeted by
        the chorus of regulars: \"Joe, Sam!\"
        He gets a few friendly back slaps.
        You get a few hugs, and a peck on the cheek.
        "
    return

    # Explain that you are on a diet.
    #
label .lacyDiet:
    if pc.cheatDay:
        pc "Lacy, I'm trying to diet, but I've already blown it today,
            so it's a bit of a cheat day."
        if lacyFeed:
            lacy "You hardly need to diet [pc.name],
                but it's nice to have a bit of a blow out occasionally isn't it."
        else:
            lacy "It's nice to have a bit of a blow out occasionally,
            a break from the tedium of dieting."
    else:
        pc "Before we start, you should probably know I'm trying to diet."
        if lacyFeed:
            lacy "You hardly need to diet [pc.name],
                and this probably isn't the best place for it."
        lacy "Are you sure I can't tempt you?"
        if pc.testDietWill():
            pc "I'm going to have to resist I'm afraid."
            lacy "Oh, okay."
            $ lacyFeed = False
        elif flags.isConsume('dietStopWill'):
            pc "I give in. I suck at dieting and never really lose much."
            lacy "I know that feeling all too well."
            pc "The greedy girl is back! Let me at that menu."
            lacy "Well, you do seem happier for stopping."
            $ mealsize = pc.getMealSize()
        else:
            pc "I don't honestly have the willpower to resist.
                It's going to have to be a cheat day.
                Let me see that menu!"
            "Lacy smiles and hands you the laminated menu."
            $ mealsize = pc.getMealSize()
    return

    # Waiting at the bar.
    #
label .barWaitChat:
    if steve.isNotMet() or pc.randomBool(50):
        call steve.atBar
    else:
        $ opt = pc.random(1,2)

        if opt == 1:
            "
            Some lads dressed almost identically in flannel shirts and jeans
            are getting a round in, but the barman is soon with you.
            "
        else:
            "
            A rather buxom woman in a strappy top is drunkly trying to chat up
            the barman, yet he's staying calm and professional.
            "
    return

    # Comment on pc fullness.
    #
label .barStuffed:
    $ fullness = pc.getFullness()

    if fullness >= 150:
        "You lean back cradling your swollen belly."
        pc "Joe, I am so stuffed it hurts."
        $ pc.addGreed(0.2)
        if lacyFeed:
            joe "I did say you didn't have to eat it all."
            if gsize < 3:
                pc "I know, but after months of going hungry it was hard not to."
            else:
                pc "I know, but I was enjoying it."
                joe "You've certainly got an appetite."
        else:
            joe "Don't look at me, I didn't make you eat it all."
    elif fullness >= 95:
        "You lean back and look down at your taut gut, rubbing it."
        pc "Joe, I am really full."
        $ pc.addGreed(0.1)
        if lacyFeed:
            joe "I did say you didn't have to eat it all."
            if gsize < 3:
                pc "I know, but after months of going hungry it was hard not to."
            else:
                pc "I know, but I was enjoying it."
                joe "You've certainly got an appetite."
        else:
            joe "Don't look at me, I didn't make you eat it all."
    else:
        pc "That was good, I needed that."
        if lacyFeed:
            joe "Yes, I think you did."
        else:
            joe "You've certainly got an appetite."

    return

    # Joe buys seconds.
    #
label .seconds:
    if not pc.isGreedy(50):
        "Lacy grins, but doesn't offer you seconds.
        It would have been embarrasing if she did in front of Joe."
        return

    $ rnd = pc.randomGreed(0, 80)
    if not rnd:
        "Lacy grins, but doesn't offer you seconds.
        You really wish she would."
        return

    joe "You're not curious Lacy? To see if she really could?"
    if counters.get('barSeconds'):
        lacy "Oh, I know she can, and have seen her do it!"
        joe "Really?"
    else:
        lacy "Well, yes, I am,
            but I don't think we should be encouraging her to get any bigger."
        joe "I hardly think she needs any encouraging these days."

    pc "I'm still here you know."
    lacy "It's your tab this is going on Joe."
    joe "I guess that makes it my call then."
    pc "Hello? I'm pretty sure you can't miss me, it's not like I'm small."

    joe "[pc.name], You could really eat your dinner again?"
    pc "Yes, I think so."
    lacy "Right, back shortly."
    "
    Lacy is soon back with more food.
    "
    $ food.setMeal(False)
    $ foodMenu.mealAcc *= 2
    call nwBarEve.barMainEat
    call nwBarEve.barFinishDrink
    call nwBarEve.checkStuff
    joe "Well, she wasn't wrong. She did it eat again."
    pc "And it was every bit as good the second time!"
    if flags.isConsume('lacyUnbutton'):
        call nwBarEve.lacyUnbutton

    return
