#
# Working in the Italian Diner
#
label nwDinerWork:

    # -------------------------------------------------------------------------
    # Interface
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Temp Work.
    # Invoked when the pc is temping here.
    #
label .workTmp:
    # dbg "nwDinerWork.workTmp [gt.hour]"
    $ renpy.dynamic('hour')
    call .travelToWork
    $ hour = gt.hour

    if hour < 10:               # 09:00 - 10:00 (and before)
        call .morningRush
    elif hour < 11:             # 10:00 - 11:00
        call .morningBreak
    elif hour < 15:             # 11:00 - 15:00
        call .lunch
    elif hour < 18:             # 15:00 - 18:00
        call .afternoonBreak
    elif hour < 23:             # 18:00 - 23:00
        call .eveningService
    else:
        dbg "no case for [hour]"
        $ gt.addHours(1)

    $ world.working = True
    return

    # Temp work end.
    # Invoked when the pc stops temp job here.
    #
label .workTmpEnd:
    # dbg "nwDinerWork.workTmpEnd"
    call .shutdown
    call .supper
    call .andSoToBed
    return



    # -------------------------------------------------------------------------
    # Implementaions
    # - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - - -

    # Travel to the work location.
    #
label .travelToWork:
    # dbg "nwDinerWork.travelToWork [world.locLabel]"
    if world.isWorkLoc():
        return
    elif world.isLocLike('nwDiner'):
        "You head downstairs and open up."
    else:
        "You make your way to the Italian diner."
        call nwDiner.enter
    $ world.setLoc('nwDinerWork')
    return

    # Initial morning rush.
    #
label .morningRush:
    # dbg "nwDinerWork.morningRush"
    if not world.working:
        "You knock on the diner's door, and Sofia lets you in."
        sofia "It's so good to see you my darling [pc.name]. I was worried."
        pc "I wasn't going to let you down babe."
    call .apronOn
    $ world.working = True
    """
    The morning rush is crazy here.
    It's mostly people wanting a take-out coffee and pastry to take to work.

    You busy yourself with the coffee machine and putting pastries into
    paper bags with the diner's logo printed on it.
    Sofia is busy in the kitchen baking and preparing for lunch.
    """
    $ pc.useEnergy(1)
    $ gt.advanceTo(10)
    return

    # Quick break for food.
    #
label .morningBreak:
    # dbg "nwDinerWork.morningBreak"
    $ renpy.dynamic('adjArse')
    $ adjArse = pc.adjArse()
    """
    It's finally getting a bit quieter and you have a moment to pop
    into the kitchen and see how Sofia is doing.
    """
    if sofia.randomRomance(40,90):
        if pc.randomBool(30):
            "
            You go to give her a kiss.
            "
            sofia "No! Well I'd love to but I'm covered in flour
                and you're wearing black.
                We can't have you going out front with
                floury tits and a white handprints on your bum."
        else:
            "
            You kiss her and she melts into your arms,
            glad of the brief respite.
            "
    if sofia.randomFeeder(10, 80):
        "Sofia crams a still hot croissant into your mouth."
        pc "Mmmmf, ... hot ... but good."
        $ food.add('croissant')
        $ pc.eatFood(food)
        $ sofia.addFeeder(0.1)
    sofia "You'd best grab something to eat quickly while you've a moment,
        you won't get a chance while everyone else is having their lunch.
        I've ... kinda been nibbling as I go along."
    sofia "You can have anything from that tray over there,
        some of them are rejects, others might be a little stale,
        or anything you can find in that reach in cooler for the staff."
    $ rnd = pc.randomGreed(30, 100)
    menu:
        "What do you fancy?"
        "Pastries":
            "These will be quick, and you wolf a couple of pastries down."
            pc "Mmm, nuffin wong wiv 'ese."
            $ scale = 2
            if rnd:
                "You shove a third one in your mouth whole just to be sure."
                $ scale = 3
            $ food.addScale('sofigliat', scale)
            $ pc.eatFood(food)
        "Lasagna":
            """
            There's half a tray of lasagna in the reach-in.
            That will do nicely!
            This and a spoon is all you need,
            however there's only the choice of teaspoons or serving spoons.
            It's not really a choice is it, not even a dilemma.

            You shovel several large mouthfuls in.
            Okay, so it's cold, but still very good!
            """
            sofia "I don't know how you can eat that this early in the morning."
            $ scale = 1
            if rnd:
                "To be safe, as you'll be missing lunch, you have a couple more mouthfuls."
                sofia "Oh my saints, sweetie!"
                $ scale = 1.5
            $ food.addScale('lasagna', scale)
            $ food.setMeal(True)
            $ pc.eatFood(food)
        "Tiramisù!":
            """
            There's a large bowl of tiramisù in the reach-in.
            It's like you've died and gone to heaven.
            This and a spoon is all you need,
            however there's only the choice of teaspoons or serving spoons.
            It's not really a choice is it, not even a dilemma.

            You gobble down huge spoonfuls of the rich dessert.
            """
            pc "Mmmm, fo goof."
            sofia "Sweet tooth much?"
            pc "You know it babe."
            $ scale = 1
            if rnd:
                "For good measure you have a few more mouthfuls."
                sofia "Enough, my dolce, remember how boozy that is."
                $ scale = 1.5
            $ food.addScale('tiramisu', scale)
            $ pc.eatFood(food)

    sofia "That was ... impressive.
        I may have overstressed how quick you needed to be.
        You've got a bit ..."
    if sofia.randomRomance(10, 100):
        "She kisses you on the corner of your mouth."
    else:
        "She wipes your mouth with a cloth."
    sofia "All gone, now out you go."
    "
    You head back through the kitchen swing doors,
    and it hits you on your [adjArse] ass.
    No, the door is still closing, that was Sofia!
    You hope you don't have a floury handprint there.
    "
    "
    You get back to the business of making coffee and serving pastries.
    "
    $ pc.useEnergy(1)
    $ gt.advanceTo(11)
    return

    # Lunch service. 11:00 - 14:00
    #
label .lunch:
    # dbg "nwDinerWork.lunch"
    """
    As lunchtime approaches the number of take-out customers wanting
    coffee and pastries picks up.

    Soon enough there are customers waiting at the booths and at the
    bar.
    You had catering jobs before, but handling both is madness,
    and you've more respect for Sofia being able to do this.
    Thankfully the folks here seem to be used to the situation.
    """

    if steve.isRomance():
        $ steveHere = steve.randomRomance(20, 50)
    else:
        $ steveHere = pc.randomBool(20)

    $ steveHere = False
    if steveHere:
        call nwDinerWorkSteve
    else:
        "You take orders, key them into the POS system, make coffees
        take food to the tables when Sofia puts plates in the pass,
        serve drinks, clear tables, make more coffees, and deal with
        the bills. It's exhausting."

    "
    When the last of the lunch customers leave you are able to get
    on top of things and get things properly organised and tidy.
    "
    $ pc.useEnergy(3)
    $ gt.advanceTo(15)
    return

    # Afternoon service. 15:00 - 18:00
    #
label .afternoonBreak:
    # dbg "nwDinerWork.afternoonBreak"
    $ renpy.dynamic('adjArse')
    $ adjArse = pc.adjArse()
    "
    Things have gone quiet in the restaurant and you are finally
    able to make a coffee for yourself and Sofia and take them through.
    "
    pc "Babe, I've brou ..."
    sofia "You. Are. A. Lifesaver!"
    "She takes a long sip of the coffee."
    sofia "I take it there's no one in the front at the moment?"
    pc "The last of the lunch crowd has left, and there's no one at the bar."
    sofia "In that case have some pizza with me, my dolce."
    """
    She takes a slice from an XL pizza, and you do too.
    Both eating quickly, but you try and avoid eating quite as fast as earlier.
    """
    pc "This is a strange collection of toppings Sofia. Yummy but unconventional."
    sofia "It's odd-n-ends pizza.
        When a pan of topping is about to run out I switch it with a
        fresh one, but collect whats left ..."
    pc "... making odds-n-ends pizza!"
    "The pizza is down to the last couple of slices."
    sofia "You have those my sweet. I've been picking and tasting things as I go."
    pc "Thanks babe. I'm so hungry,
        watching other people eat the wonderful food you've made."
    sofia "Aww, thank you."
    "You hastily cram the last couple of slices down."
    $ food.addScale('pizzal', 0.6)
    $ food.setMeal(True)
    $ pc.eatFood(food)
    "There's an odd beep-boop noise.
    Sofia pulls you close and kisses you,
    her hand on your [adjArse] ass again."
    sofia "That's the front door, you're on stage again!"
    "You twist around and sure enough there's a handprint."
    pc "Sofia!"
    sofia "It's just polenta, it will dust right off."
    "She gives both cheeks a thorough dusting for you. It's kinda nice."
    sofia "All gone, back to work now."
    """
    There's a little group of people waiting for coffee.
    Friends, no, co-workers. You busy yourself with their order.
    """
    $ pc.useEnergy(1)
    $ gt.advanceTo(18)
    return

    # Evening service. 18:00 - 23:00
    #
label .eveningService:
    # dbg "nwDinerWork.eveningService"
    """
    You take your position at the podium near the door ready to show the
    evening's diners to their tables.
    It's finally dawning that the evening service won't be nearly as
    crazy as lunch.
    There won't be any customers at the bar for a start.

    You find you have the time to talk to the customers and display
    your personal knowledge and enjoyment of the various dishes
    Antonio's offers. Perhaps even tempting some to try new things.

    Outside the daylight fades, and the restaurant lights cast a
    welcoming warmth over the diners. When you aren't needed you
    wait unobtrusively, half-listening to the chatter over the
    soft music.

    As the night draws to a close the diners leave, couples and families.
    They seem content, and it gives you a good feeling inside even
    though you are so very tired.
    """
    $ pc.useEnergy(3)
    $ gt.advanceTo(23)
    # call debugMenu
    return

label .shutdown:
    # dbg "nwDinerWork.shutdown"
    """
    When the last group of customers, happy and tipsy, leave you lock the
    door behind them and lean against the door. That was a long day.
    Your feet are sore and your tummy is growling with hunger.

    Sofia steps out of the kitchen, still in her whites, and turns
    off the main lights and the sign outside.
    """
    sofia "Well done my sweet, we did it!"
    "
    She gives you a long hug and you wrap your arms around her soft body.
    Your eyes half closed, and breathing the fragrance of the freshly
    laundered cloth, you mind drifts to sheets, mattresses, bed, and sleep.
    "
    if pc.gsize >= 4:
        sofia "[pc.name], you're too heavy to lean on me, go sit down.
            I've just got to do this."
    else:
        sofia "[pc.name], go sit down. I've just got to do this."
    "While the POS system spews out yards of paper she deftly cashes up."
    sofia "Not bad, quite respectable in fact.
        That's more tiramisù than we normally sell. [pc.name]?"
    pc "I might have ... enthused about it a little."
    sofia "Good girl, now come with me."

    $ pc.useEnergy(1)
    $ gt.advanceTo(0)
    return

label .supper:
    # dbg "nwDinerWork.supper"
    $ renpy.dynamic('adjBelly', 'tip')
    """
    Sofia leads you back through the kitchen and up some stairs to the living
    space above.

    There is a beautiful sight: a candlelit table set with dinner for two,
    wine already poured.
    Touched, you give her a big heartfelt hug.
    """
    sofia "The work day is done, so let's relax."
    """
    She kicks off her pumps and begins unbuttoning your shirt,
    working her way down, before peeling it off you.
    You start on her whites, and she's soon shrugging them
    off, and stepping out of her trousers.

    Sofia has nothing on underneath except a white bra and panties.
    """
    pc "Oh my, I thought they'd be more layers."
    sofia "Don't judge, it's hot in the kitchen."
    pc "It's getting pretty hot in here too sexy!"
    sofia "Come here my naughty waitress, the apron is cute, but it has to go."
    "She undoes the ties and it falls to the floor heavily."
    sofia "What have you got in there?"
    pc "Tips? We should share them."
    "Sofia kneels down and takes fistfuls of notes out of the pocket."
    $ tip = 5*pc.random(1, 19)
    $ tip += 120
    if gt.dayOw == 5:
        $ tip += 30
    $ adjBelly = pc.adjBelly()
    pc "It looks a lot, but it's probably a lot of singles."
    sofia "You were bussing tables, not stripping, weren't you? It won't all be ones."
    sofia "There's about $[tip] here my love!
        You should keep it, you've helped me out so much."
    $ pc.earn(tip)
    "Sofia unbuttons your trousers,
    easing them down and freeing your [adjBelly] tummy, which she kisses.
    She takes a few notes and tucks them into your black panties.
    You both giggle."
    sofia "Are you hungry, or are you hungry?"

    #
    # How much will pc eat?
    #
    $ scale = food.getScale('lasagna', pc.getCapacityRemain(0.4))

    if pc.isDietRestricted():
        if pc.testDietWill():
            pc "I'm really hungry babe, but I'm trying to lose some weight.
                I'm sorry I won't be able to do this beautiful spread justice."
            sofia "I shouldn't have tempted you should I?"
            pc "It's okay babe, really."
            $ scale = 0.6
        elif flags.isConsume('dietStopWill'):
            pc "I can't do it anymore Sofia!"
            sofia "Do what? Have I upset you?"
            pc "No, it's not you. I've been trying to diet, and I hate it!
                I've been so miserable."
            sofia "I shouldn't have tempted you should I?"
            pc "I want it babe, all of it. I'm starving."
            sofia "Are you sure that's what you want?"
            pc "Very sure! Your insatiable girl is back. Feed me babe!"
            $ scale *= 1.2
        else:
            pc "That looks beautiful Sofia! Thank you.
                I know, I'm supposed to be on a diet,
                but I can't resist a delicious meal you've made."
            sofia "I shouldn't have tempted you should I?"
            pc "I want it babe, all of it. I'm starving."
            sofia "Are you sure that's what you want?"
            pc "Very sure! I'm having a cheat day. Feed me!"
            $ scale *= 1.1
    else:
        pc "Food first please. I'm starving!"

    # dbg "scale = [scale]"
    if pc.isDietRestricted():
        "
        Sofia sits you down, and you both eat.
        There's a most of a tray of lasagna and a heap of garlic bread,
        and you struggle not to eat much while she indulges.
        "
    else:
        "
        Sofia sits you down, and you both eat.
        There's a most of a tray of lasagna and a heap of garlic bread,
        and finally you are able to sate the hunger you've had all day.
        Enjoying a bottle of wine between you.
        "
    $ food.addScale('lasagna', scale)
    $ food.addScale('garlicb', scale)
    $ food.addScale('wine', 4)
    $ pc.eatFood(food)
    $ gt.addHours(1)
    $ scale = int(round(scale))
    $ tmp = cardinal(scale)
    if scale >= 5:
        sofia "Oh my saints [pc.name], and I thought I was hungry.
            You've eaten about [tmp] normal servings of lasagna!
            I don't know where you put it all."
        "You look down at your distended belly, then the empty tray, and blush."
        sofia "At least you've the decency to look embarrassed, piggy!"
        "Then she laughs, and after a moment you realise she's just teasing you and giggle."
        sofia "You know I like to see you eat well, more than well.
            Any you were blissing out with evey mouthful."
        pc "I do, though you did have me worried there for a moment."
    elif scale >= 3:
        sofia "You weren't wrong about being starving were you,
            that's about [tmp] normal portions you've wolfed down
            my dolce!"
        pc "Was that wrong?"
        sofia "Not at all, you were clearly enjoying it."
    elif scale == 2:
        "You were hungry, eating twice what you normally would."
    elif pc.isDietRestricted():
        pc "Sorry for just picking at it babe, I'm trying to stick to my diet."

    "
    Sofia gets up, her belly now noticeably swollen, and stretches.
    "
    if pc.isDietRestricted():
        sofia "I brought some dessert, but that's not a good idea is it?"
        pc "I really shouldn't, but ..."
        "
        You lead Sofia back to her seat and pick up the large bowl of tiramisù
        and a spoon.
        "
        pc "Open wide babe!"
        "
        You feed her spoon after spoon of the creamy dessert which she
        accepts willingly, her hand subconsciously stroking her soft tummy.
        "
        sofia "I'm not sure I can eat all of that my sweet."
        "
        She doesn't stop accepting it though, enjoying each mouthful
        with a grin on her beautifully soft face.
        "
        sofia "I don't think I can manage much more."
        pc "That's a shame, as it's all gone my greedy girl."
        sofia "All of it?"
        pc "You ate the whole thing babe!"
        "
        Sofia leans back in her chair, eyes closed, and you kiss first her
        swollen tummy then her sweet sweet lips.
        "
    else:
        sofia "Can I tempt you to some dessert? Why am I even asking?"
        "
        You give her a puzzled look, and watch her fetch a large bowl of tiramisù
        and two spoons.
        "
        sofia "Think we can finish this between the two of us?"
        $ mealsize = pc.getMealSize()
        if mealsize > 3:
            pc "Easily! I probably don't need your help."
            sofia "Woah, greedy girl, you aren't getting all of this."
        elif mealsize > 1:
            pc "I think we stand a fighting chance."
        else:
            pc "I'm not sure babe, that's rather large."

        if sofia.randomFeeder(30, 100):
            """
            Sofia digs in and offers you a large spoonful which you accept
            gratefully. More follow, one for her, one for you.

            You space out, just enjoying each sweet mouthful, until you
            hear the last morsel being scraped from the bowl.
            Of course, she gives it to you.
            """
        else:
            """
            You take turns, eating, and it becomes a bit of a messy competition
            to see who can fit the most in their mouth in one go.
            """
        $ food.addScale('tiramisu', 4)
        $ pc.eatFood(food)
        $ gt.addHours(1)
        sofia "We did it!"
        pc "We did, we are a right pair of greedy girls! Thank you for a lovely meal.
            I suppose I should be getting home, but I really don't want to move."
        "
        Sofia kneels beside where you sit, rubs your replete belly, and gives you a creamy kiss.
        "
    sofia "You, ... you don't have to go."

    return

label .andSoToBed:
    if debug:
        dbg "nwDinerWork.andSoToBed [gt.dayOw]"
    $ renpy.dynamic('adjBelly')
    #
    # Set up to wake at Sofias
    #
    if gt.dayOw == 6:
        $ world.tmpWakeHr = 10
    else:
        $ world.tmpWakeHr = 8
    if debug:
        dbg "wake at [world.tmpWakeHr]"
    $ world.setTmpHome('nwDinerHome')
    $ world.noReturn = True
    $ world.noSleep = True
    $ world.dayOver = True
    $ gsize = pc.gsize
    "
    Sofia helps you out of your chair, and leads you, weaving somewhat,
    to her bedroom. There's a huge king sized bed that looks so
    soft and inviting.
    "
    if flags.isSet('sofiaBill'):
        "
        On her nightstand is a little frame with the first \"kisses\" bill
        you gave her when you stayed after closing.
        That's rather sweet.
        She's a soft heart as well as soft everything else.
        "
    "
    She unhooks her bra and drops it over the back of a chair,
    her heavy breasts now resting on her plush torso.
    She's so beautiful.
    "
    sofia "It feels so good to finally take that off. I'm sure you'd feel better too."
    $ unsure = pc.isDietConsider()
    if gsize >= 11:
        sofia "Turn around my goddess."
        """
        You do, and she struggles to unhook you, slipping the thick straps off your shoulders,
        and putting your bra next to hers, making hers look small in comparison.

        Then she's kissing your neck, her soft belly against your fleshy back,
        trying to lift your weighty boobs which spill out of her hands
        """
        pc "You like?"
        sofia "I love every sexy pound of you my sweet. Such a beautiful metamorphosis."
        pc "I'm glad you do."
        "
        Next she's working your panties over your fat ass and thick thighs,
        though that's really a job for two now,
        before leading you to the bed.
        It creaks somewhat as your fat body spreads out taking more than half the mattress.
        "
        sofia "Hey, leave some room for me!"
        pc "I can't help it. I am one wide girl."
        "
        Sofia joins you in bed, and it creaks some more.
        "
        pc "It's not going to break is it?"
        sofia "It would be so hot, wouldn't it, if we did break the bed!"
        pc "It would wouldn't it."
        if sofia.weight + pc.weightKg >= 455:
            pc "There must be like more than a thousand pounds of fat girl on here right now."
            sofia "A thousand pounds of sexyness. Wow, that's so, so hot.
                And three quarters of that is you my love."
            pc "I am a very big girl these days."
            sofia "A very sexy big girl."
            pc "A very horny sexy big girl."
            sofia "You're not the only one! Oh well, if the bed breaks, it breaks."
            pc "You'll have a soft landing is it does."
            sofia "The softest there is. But, could be softer still."
            pc "If I get any bigger you could just sleep on me!"
            sofia "I can barely sleep next to you at the moment!
                You'd be my big soft warm fuckable bed of a girl."
            sofia "Mmmm, you hungry?"
            pc "I always seem to be these days."
    elif gsize >= 8:
        sofia "Turn around my sweet."
        """
        You do, and she unhooks you, slipping the straps off your shoulders,
        and putting your bra next to hers, making hers look small in comparison.

        Then she's kissing your neck, her soft belly against your fleshy back,
        her hands trying to lift your weighty boobs.
        """
        pc "You like?"
        sofia "I love every sexy pound of you my sweet. Such a beautiful metamorphosis."
        pc "I'm glad you do."
        "
        Next she's working your panties over your fat ass and thick thighs,
        before leading you to the bed.
        It creaks somewhat under your weight,
        and protests more when she lies next to you.
        "
    elif gsize >= 6:    # Bigger than Sofia
        """
        Sofia reaches around you, your tummies smushed against each other,
        and soon has your bra off,
        putting it over the back of the chair next to her slightly smaller one.
        Then she peels your panties off and is kissing you again.
        """
        sofia "Mirror, mirror, on the wall, who is the curviest of them all?"
        sofia "I think it's you my sweet!"
        "
        You look at your reflections, and she's right.
        Your chest is fuller, tummy softer, hips wider,
        and turning to the side, your bum is bigger too.
        "
        if unsure:
            pc "I'm not getting too fat am I?"
            if sofia.isPcTooFat():
                sofia "Have I led you too far astray? I don't think so."
                $ flags.set('pcThinkDiet')
            else:
                sofia "Not at all, now lets get all your lusciousness into bed."
            $ pc.addLim(5)
        else:
            pc "I am enjoying these curves, and yes, I feel sexy, like
                my hot girlfriend."
            sofia "These two hot girls need to be next to each other in bed!"
            $ pc.addLim(2)
        "
        She leads you to bed and you both lie down.
        The mattress sags, and you end up smushed against each other.
        "
    elif gsize == 5:    # Approaching Sofia
        """
        Sofia reaches around you, your tummies pressed against each other,
        and soon has your bra off,
        putting it over the back of the chair next to her slightly larger one.
        Then she has your panties off and is kissing you again.
        """
        sofia "What a delightful vision of sexiness!"
        if unsure:
            pc "I'm not too fat am I?"
            sofia "Not at all!
                It would be hypocritical of me to say anything else
                while you are still smaller than I am."
            "Wait, did she just say \"while\"? While I am smaller than she is?"
            $ flags.set('pcThinkDiet')
            $ pc.addLim(5)
        else:
            pc "I am enjoying these curves, and yes, I feel sexy, like
                my even hotter girlfriend."
            sofia "These two hot girls need to be next to each other in bed!"
            $ pc.addLim(2)
        "
        She leads you to bed and you both lie down.
        The mattress sags, and you end up smushed against each other.
        "
        sofia "Besides, with your appetite, I think you might end up curvier than I am."
        "You blush."
        if unsure:
            pc "I ... I might like that, I'm not sure."
            sofia "Time will tell, my dolce."
        else:
            pc "I ... I think I might like that."
            sofia "I look forward to it."
    elif gsize >= 3:
        """
        Sofia reaches around you, your tummies touching, and soon has your bra off,
        putting it over the back of the chair next to her larger one.
        Then she has your panties off and is kissing you again.
        """
        sofia "My beautifully soft sexy girl. No longer a little waif."
        if unsure:
            pc "It's not too much softness is it?"
            sofia "Not at all! It looks good on you."
            $ pc.addLim(2)
        else:
            pc "Next to you I don't feel so sexy, you're much curvier than me."
            sofia "Well, I think you're hot, and I want every inch of you."
            $ pc.addLim(1)
        pc "Thank you babe. I needed that."
        "
        She leads you to bed. When she lies next to you the mattress sags
        and you roll towards her yummy softness.
        "
        sofia "Besides, with your appetite, I think you'll be getting curvier."
        "You blush."
        pc "I ... I think I might like that."
    else:
        """
        Sofia reaches around you and soon has your bra off, putting it over
        the back of the chair next to her much larger one. Then she has
        your panties off and is kissing you again.
        """
        sofia "My beautiful sexy waif. So small next to me."
        pc "I, ... I don't feel sexy. Not next to you, so plush and curvy."
        sofia "Well, I think your hot my dolce.
            You wouldn't be here, naked, in my bedroom if I didn't."
        pc "Thank you babe. I needed that."
        "
        She leads you to bed. When she lies next to you the mattress sags
        and you roll towards her yummy softness.
        "
        sofia "Besides, with your appetite, I think curves will soon catch up with you."
        "You blush."
        pc "I ... I think I might like that."
    sofia "How about one last indulgence?"
    "She leans over and takes a box of chocolates out of a bedside drawer."
    pc "Sofia, you naughty girl."
    $ tmp = sofia.randomFeedee(10, 50) or pc.isDietRestricted()
    if tmp:
        pc "May I?"
        """
        She nods and your place a chocolate against her full lips.
        Treat follows treat and you watch her melt, imagining you must
        look the same way when she feeds you.

        Feeding your big girl gives you that warm feeling deep inside,
        just seeing the enjoyment you are giving her.
        Not trying to make her any fatter, per se, though part of you
        wonders what that would be like.

        And maybe a little thrill about this naughty pleasure.
        """
        $ sofia.addFeedee(1)
        $ sofia.addRomance(0.5)
    elif sofia.randomFeeder(50, 100):
        $ adjBelly = pc.adjBelly()
        sofia "Would you like?"
        """
        You nod, and she feeds you one chocolate after another,
        just enjoying melting treats and variety of flavours.

        Without really thinking about it you start rubbing the
        swell of your [adjBelly] belly.
        """
        if gsize >= 11:
            sofia "Thinking about getting filling the whole bed?"
        elif gsize >= 9:
            sofia "Thinking about getting so fat doorways are a challenge?"
        elif gsize >= 7:
            sofia "Thinking about getting even fatter than you are now?"
        elif gsize == 6:
            sofia "Thinking about getting so much bigger than me?"
        elif gsize == 5:
            sofia "Thinking about getting as fat as me?"
        elif gsize >= 3:
            sofia "Thinking about getting softer and cuvier?"
        else:
            sofia "Thinking about getting a little chubby?"
        pc "Mmmmm, yes?"
        $ pc.addLim(2)
        $ sofia.addFeeder(0.5)
        $ sofia.addRomance(0.5)
    else:
        """
        The pair of you lie proped up by pillows and share the box
        of chocolates. Then you share kisses.
        """
        pc "Should we be doing this?"
        sofia "Are you feeling happy?"
        pc "Well, yes, stuffed and happy."
        sofia "Then, yes we should. Enjoy your life my dolce!"
        $ pc.addLim(0.5)
    $ food.addScale('chocbox', 0.5)
    $ pc.eatFood(food)

    call nwDinerHomeBed.sexyTimes

    if gsize >= 6:
        "
        Sofia curls up against you, her head cradled on your shoulder,
        and her arm across your tummy. And like that you both fall asleep.
        "
    else:
        "
        You curl up against Sofia, your head on her shoulder and cuddling
        her soft body.
        "
    $ sofia.addRomance(1)
    return

    # Put on an apron
    #
label .apronOn:
    $ gsize = pc.gsize
    if gsize >= 8:
        "You put your server's apron on, though you can't actually see
        it as it's hidden under your belly.
        You check, and you can just about get your hand into the pocket."
    elif gsize >= 5:
        "You put your server's apron on and the ties are getting really short.
        At this point it's little more than a decoration over your wide thighs,
        and not actually going to help you stay clean."
    elif gsize == 4:
        "You put your server's apron on, tying it underneath your tum like Sofia does.
        Catching your reflection, you realise there's no hiding how big you are
        getting now."
    elif gsize == 3:
        "You put your server's apron on, but it looks odd dangling from your
        plump tummy, so you tie it underneath like Sofia does.
        Although it really does emphasise how chubby you are getting."
    else:
        "You tie your server's apron around your waist."
    return

label .puff:
    return

    # Weekend work accept event, called on day-of.
    # Sets up temporary work and let's the main loop pick up from there.
    #
label .acceptWeekend:
    # dbg "nwDinerWork.acceptWeekend"
    $ renpy.dynamic('days')
    $ days = [5,6]
    $ world.setTmpWork('nwDinerWork', 9, 22, days)
    $ world.tmpWorkStartDay = gt.dayNum
    $ world.tmpWorkEndDay = gt.dayNum + 1
    return

    # Weekend work reject event, called on day-of.
    #
label .rejectWeekend:
    # dbg "nwDinerWork.rejectWeekend"
    "
    You call Sofia, it takes her a while to answer.
    "
    pc "Sofia, I don't know how to say ..."
    "There's a stream of cuss words,
    not all of them in English but you get the jist.
    And the line goes dead."
    $ sofia.addRomance(-20)
    $ tmp = 14 + sofia.breakCount * 4
    $ sofia.setBreakDays(tmp)
    $ pc.addMood(-20)
    "You feel like a real shit.
    Probably best to avoid the diner for a good while."
    return

label .setTmpWeekend:
    # dbg "nwDinerWork.setTmpWeekend"
    $ renpy.dynamic('startDay', 'days')
    $ startDay = gt.getNextDayNum(5, True)
    $ days = [5,6]
    $ world.setTmpWork('nwDinerWork', 9, 22, days)
    $ world.tmpWorkStartDay = startDay
    $ world.tmpWorkEndDay = startDay + 1
    return
