#
# Gas Station
#
define  gasName = "Joe's Garage"

label nwGas:

    # Wake up.
    # Invoked when the pc wakes up here.
    # Describe wake-up, breakfast etc.
    #
label .wake:
    # dbg "nwGas.wake"
    call .breakfast
    if gt.isWeekend():
        joe "It's the weekend, so I'll be taking some time off from the
            mechanical work and see to the store instead.
            You're free to do whatever you want!"
        pc "Thank you, Joe! I appreciate all the help you've given me."
        "
        You give him a hug and think about what to do with your day.
        "
    return

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    # dbg "nwGas.freeChoice"
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt("What to do?", gt.hour, mealsize)

    menu:
        "[prompt]"
#        "Go to the bar":
#            call nwBar
#        "Go to the Italian diner":
#            call nwDiner
#        "Go to the river" if gt.isDaytime:
#            call nwRiver
        "Go to the town":
            call nwTown
        "Wait":
            "You wait for an hour or so."
            $ gt.addHours(1)
        "Go to bed" if gt.hour >= 20 or pc.energy <= 2:
            $ world.dayOver = True
        "Debug" if debug:
            call debugMenu
    return


    # Work.
    # Invoked when the pc is working here.
    #
label .work:
    # dbg "nwGas.work"
    if not world.isWorkLoc():
        "You head back to the gas station and let yourself in."
    $ world.setLocWork()
    if gt.dayOw == 0:
        joe "Mondays sure roll around quickly."
        pc "The sure do."
    joe "Right, time to get back to that old clunker. You okay here?"
    pc "I'll be fine Joe."

    # Morning.
    #
    call nwGasWork

    # Lunch or scheduled event.
    #
    call util.checkEventOr('nwGasLunch')

    # Afternoon.
    #
    call nwGasWork

    # Regular evening or scheduled event.
    #
    call util.checkEventOr('nwGas.weekDayEve')
    return



    # Return home from here.
    # Describe the player returning to their home.
    #
label .retHomeToHere:
    # dbg "nwGas.retHomeToHere"
    "
    You make your way back to the gas station and let yourself in.
    "
    $ world.setLocHome()
    return



    # Returned home.
    #
label .retHome:
    # dbg "nwGas.retHome"
    $ world.setLocHome()
    call .welcomeHome
    return



    # Sleep
    # Invoked when the pc goes to sleep here.
    #
label .sleep:
    # dbg "nwGas.sleep"
    $ world.setLocHome()
    call .bedtime
    return

    # -------------------------------------------------------------------------


    # Breakfast with Joe.
    #
label .breakfast:

    if pc.random(1, 2) == 1:
        $ pmain = "bacon"
    else:
        $ pmain = "sausage"

    joe "Breakfast!"
    if debug:
        call debugMenu
    "
    You wake to the smell of frying [pmain] and eggs drifting upstairs.
    It's enough to make you quickly get out of bed.
    "
    call player.overSizeCheck
    if not flags.isSet('sizeU') and not flags.isSet('sizeD'):
        call .dress
    call player.sizeCheck
    if counters.isOnce('scales'):
        pc "Joe, are there any scales? I'd like to weigh myself."
        joe "Sure, in the closet there, I don't fuss with them myself."

        "
        You stand on the scales,
        and the pointer finally comes to rest at [pc.weightLb:0.0f] pounds.
        "
        $ pc.updateLastWeight()
    elif counters.isDone('scales'):
        "
        While you are in the bathroom, you stand on the scales
        and the pointer finally comes to rest at [pc.weightLb:0.0f] pounds.
        "
        $ pc.updateLastWeight()
        $ renpy.dynamic('deltaLb','deltaLim')
        $ deltaLb = 2.2 * (pc.weightKg - pc.oldKg)
        $ tmp = int(round(deltaLb))
        if debug:
            dbg "deltaLb=[deltaLb:0.2f] tmp=[tmp]"
        if pc.diet:
            # PC is dieting.
            #
            if deltaLb > 1.0:
                if tmp == 1:
                    pc "Crap, I've gained a pound on my so-called diet."
                else:
                    pc "Crap, I've gained [tmp] pounds on my so-called diet."
            elif deltaLb > -0.5:
                pc "Bum, nothing's changed. I went hungry all day for this?"
            else:
                $ tmp = -tmp
                if tmp == 1:
                    pc "Yay, I've lost a pound since I last weighed myself."
                else:
                    pc "Yay, I've lost [tmp] pounds since I last weighed myself."
        elif pc.isDietConsider() and deltaLb > 0.5:
            # PC is heavier and fatter than they want to be.
            #
            $ deltaLim = pc.fat - pc.fatLim;
            if deltaLim > max(20, pc.fat/8):
                pc "Damn, I'm a fat blob and I'm still getting even fatter!
                    This is not good [pc.name]. Not good at all."
                $ flags.set('pcThinkDiet')
            elif deltaLim > 10:
                pc "Oh my, heavier again?
                    I'm already bigger than I'd like to be.
                    Come on [pc.name],
                    you need to be much more careful with what your eat."
            else:
                pc "Heavier again?
                    I guess the odd few pounds don't make too much difference,
                    and I don't look too bad considering.
                    I need to be careful though, or I'll end up huge."
        elif deltaLb > 0.5:
            # PC is heavier, but is okay with that.
            #
            $ deltaLim = pc.fatLim - pc.fat;
            if deltaLim > 20:
                if tmp == 1:
                    pc "Another pound heavier, another pound sexier!"
                else:
                    pc "Another [tmp] pounds. Every day, in every way, I get hotter and sexier!"
            elif deltaLim > 10:
                pc "I do like how I look,
                    and I don't mind that I'm a bit heavier.
                    I think it suits me."
            else:
                pc "I still like how I look,
                    but I've gained again and I don't want to get too much bigger."
        elif deltaLb < -0.5 and not (flags.isSet('dietStopGoal') or flags.isSet('dietStopWill') or flags.isSet('dietStopDays')):
            # PC is lighter, and isn't dieting or just finished one.
            #
            if pc.isDietConsider():
                # Wants to be ligher.
                #
                $ deltaLim = pc.fat - pc.fatLim;
                if deltaLim > max(20, pc.fat/8):
                    pc "I'm still a fat blob but at least I've lost a little.
                        I just need to keep it up."
                elif deltaLim > 10:
                    pc "I'm bigger than I'd like to be,
                        but at least I'm headed in the right direction."
                else:
                    pc "Almost there, just a little more to go,
                        and I'll be happy with how I look."
            else:
                # Thinks she looks better heavier.
                #
                $ deltaLim = pc.fatLim - pc.fat;
                if deltaLim > 20:
                    pc "Bum, I don't want to lose these curves I'm working so hard for.
                        I should have a bit of a binge out shouldn't I?"
                elif deltaLim > 10:
                    pc "I've lost weight? Really?
                        Come on [pc.name], you know you felt sexier when
                        you were heavier.
                        It's time to be a greedy girl."
                else:
                    pc "I still like how I look,
                        but I honestly thought I looked better with the extra weight.
                        I don't want to lose any more."
        $ pc.oldKg = pc.weightKg

    call player.morningThoughts
    "
    You head downstairs for breakfast.
    "
    joe "I don't really cook, but I do breakfast.
        Got to start the day right."
    call joe.sizeNotice
    if not gt.isWeekend() and not pcClothes.has(gsize, ckWork):
        joe "That top is looking a little small,
            and your tum is peeking out the bottom.
            It's a good job I already ordered a larger size with your name on!"
        $ pcClothes.buy(ckWork, gsize)
        if gsize == 5:
            pc "Thanks Joe, I'll change after breakfast.
                It will be nice to not have random people call me Sally too."
        else:
            pc "Thanks Joe, I'll change after breakfast."
    if pc.diet:
        pc "Sorry Joe, but I'm trying to lose a bit of weight.
            I hope you don't mind if I skip the fry-up."
        "
        You have some cereal and a slice of toast instead.
        "
        $ pc.eatMeal(0.01, 0.2)
    else:
        "
        You help yourself to toast, [pmain], and eggs,
        then squeeze some ketchup on to your plate and tuck in.
        "
        $ pc.eatMeal(0.05, 0.3)
    # FIX! Temporary clothes upgrade.
    if not pcClothes.hasAll(gsize, ckBra, ckJeans, ckPanties, ckTshirt):
        pc "Joe, I'm ongoing to have to pop out before work to get,
            um, some bigger clothes. These don't really fit anymore."
        joe "I was wondering about that. They look skin tight!"
        "
        You head over to the clothes shop and grab what you need.
        It's not cheap though,
        but at least you can change into your new things there.
        "
        $ pcClothes.buy(ckBra, gsize)
        $ pcClothes.buy(ckJeans, gsize)
        $ pcClothes.buy(ckPanties, gsize)
        $ pcClothes.buy(ckTshirt, gsize)
        $ pc.spend(200);
    $ gt.addHours(1)
    return

    # Pc getting dressed for work.
    #
label .dress:
    $ renpy.dynamic('bigger', 'prog' ,'snug', 'tight', 'weekend')
    $ prog = sizeProgress(pc.fat, gsize)
    $ snug = prog >= 70
    $ tight = prog >= 90
    $ bigger = False
    $ weekend = gt.isWeekend()
    if weekend:
        if not pcClothes.hasAll(gsize, ckBra, ckPanties, ckJeans, ckTshirt):
            $ tight = True
        $ bigger = pcClothes.hasAll(gsize+1, ckBra, ckPanties, ckJeans, ckTshirt)
    else:
        if not pcClothes.hasAll(gsize, ckBra, ckPanties, ckJeans, ckWork):
            $ tight = True
        $ bigger = pcClothes.hasAll(gsize+1, ckBra, ckPanties, ckJeans, ckWork)
    $ prompt = "your work shirt"
    if weekend:
        $ prompt = "a casual t-shirt"
    elif gsize <= 3:
        $ prompt = "Sally's vast top"
    elif gsize < 5 or gsize == 6 and not pcClothes.has(gsize, ckWork):
        $ prompt = "Sally's top"
    $ dbgLog("mwGas.dress: prog={} bigger={} snug={} tight={} prompt={}".format(prog, bigger, snug, tight, prompt))
    if gsize <= 2:                  # Thin- Normal A-C
        "
        You put on your panties, bra, [prompt], and jeans ready to start the day.
        "
    elif gsize == 3:                # Plump D
        "
        You pull on your panties and note the softness of your tum.
        Then you put on your bra, [prompt], and jeans ready to start the day.
        "
    elif gsize == 4:                # Fat E
        "
        You pull on your panties wondering if they are best over or under your
        growing tummy. Then you squeeze yourself into your bra,
        put on [prompt],
        and wriggle your jeans over your chubby thighs and bum.
        "
    elif gsize == 5:                # Obese F
        "
        You pull on your panties, not that you can really see them past your
        growing paunch. And as big as it is, it in turn is obscured by your
        boobs. You heft the heavy girls into your bra which provides some
        support.
        "
        "
        Next you step into your jeans, and jump and jiggle until you've
        tugged them over your fat thighs and growing bum. Panting a little
        you finish with [prompt], at least that's not an effort.
        "
    elif gsize == 6:                # 240lb G
        "
        You pull on your panties, they're completely hidden by your belly now,
        even when you look in the mirror. The girls are a real handful, more
        than a handful to be honest, and getting everything in place takes
        some time.
        "
        "
        Next you step into your jeans, and begin the morning struggle to
        get your fat legs, ass and belly into them. Panting,
        you finish with [prompt], then check yourself in the mirror.
        "
    elif gsize == 7:                # 300lb H bbw
        "
        You sit on a chair, ass against the back, and get first one foot, then
        the other into your panties, and pull them up to your knees. Next you
        do the same with your jeans. Heaving yourself up you tug, jiggle and
        wobble until your bottom half is covered.
        "
        "
        That leaves the top half, and you take a moment before dealing with
        your stuffing yourself into your bra, pulling on [prompt], and adjusting
        yourself in the mirror.
        You are a big girl now [pc.name].
        "
    elif gsize == 8:                # 400lb I
        "
        You sit on a chair, and get first one foot, then the other into your
        panties and jeans, and pull them up to your fat knees. The girls and your
        gut aren't helping; making it difficult to see what you are doing.
        Heaving yourself up you stand slightly breathless.
        "
        "
        Getting your fat into your jeans is one struggle, constraining the
        girls is another; they are really big, heavy, and uncooperative.
        Finally you pull on [prompt] and adjust everything.
        Not that it will make you look any smaller.
        "
    elif gsize == 9:                # 500lb J
        "
        As you sit down to start dressing the chair creaks in protest. You
        really could do with one for each fat buttock. Stand, tug, jiggle,
        pause, tug, wobble, pant, yank, shimmy, tug. This just takes longer
        and longer.
        "
        "
        The next part of your morning workout is getting your bounteous boobs
        ensconced in your huge bra. They are heavy and difficult to lift
        these days. Then it's just the matter of [prompt] ...
        "
    elif gsize == 10:               # 600lb K ssbbw
        "
        Having given up on the chair you flop on the bed to begin the panties
        and jeans struggle. It still surprises you how much you spread out.
        You are so wide and thick that it's getting hard
        to even reach the denim behind you to yank it over your fat ass.
        "
        "
        Flopping back on the bed, your round chin nestles between your tits.
        Getting those plush mounds of fat into their cups is the next battle.
        After that [prompt] is a walk in the park.
        "
    else:                           # 700++
        "
        Doorway filling girls really ought not to have to get dressed in
        small bedrooms. They need space. And assistants to deal with all
        the tugging, the bits that are almost out of reach, to provide
        sustinance, and pick up things that get knocked over.
        "
        "
        An extra pair of hands, actually make that two extra pairs of hands, would
        would make getting your sensitive head-sized udders into this expanse of bra
        easier too. Just [prompt] and you can squeeze downstairs for some food.
        "
    if tight and bigger:
        pc "These are feeling rather too tight,
            but I'll be fine I already own larger ones I can use."
    elif tight and not bigger:
        pc "These are feeling rather too tight!
            I probably ought to do something about that sooner rather than later."
    elif snug and bigger:
        pc "These are feeling a little snug,
            but I already own larger ones I can use if I need to."
    elif snug and not bigger:
        pc "These are feeling a little snug.
            Maybe it's time to go clothes shopping."
    return

label .weekDayEve:
    if gt.dayOw == 3:
        call .eveningFree
    else:
        "
        Workday done, Joe hands you some cash and takes you to the bar.
        "
        $ pc.earn(30)
        call nwBarEveJoe
        $ world.setLocHome()
        $ world.dayOver = True
    return

    # Free evening.
    #
label .eveningFree:
    if flags.isConsume("joeThur"):
        joe "I probably forgot to mention that I always go out with friends on a Thursday night."
        pc "Oh, I didn't know that."
        joe "So the evening's your own to do as you wish.
            You can go to the bar on your own,
            maybe try the diner across the way,
            or go see that lad you met?
        "
        joe "I'll give you some extra spending money on top of your pay."
        pc "Thank you. Have a good evening Joe."
    else:
        joe "I'll be out again as it's Thursday,
            so here's a little extra cash.
        "
        pc "Have a good evening Joe."
        joe "You too!"
    if flags.isConsume("steveTour"):
        call steveTour
        $ world.dayOver = True
    return

    # Getting home at the end of a day.
    #
label .welcomeHome:
    if gt.hour < 8:
        "
        The place is silent, Joe must be asleep already.
        "
    elif gt.hour < 22:
        joe "You're back earlier than I expected. I hope everything is okay."
        pc "I'm just really tired out, and heading to bed."
        joe "Me too. Goodnight [pc.name], sleep well."
    else:
        joe "Good to see you back. I was just off to bed."
        pc "Me too!"
        joe "Goodnight [pc.name]"
        pc "Goodnight Joe."
    return

    # Getting to bed and sleeping.
    #
label .bedtime:
    $ fullness = pc.getFullness()
    if pc.drunk > 6:
        "
        You crawl upstairs to Sally's room, shed your clothes, and fall into bed.
        "
    elif pc.drunk > 4:
        "
        You stagger upstairs to Sally's room, hang your clothes on the floor, and fall into bed.
        "
    else:
        "
        You make your way upstairs to Sally's room, hang up your clothes and get into bed.
        "

    call player.nightThoughts

    if fullness >= 100:
        "
        You toss and turn a while before getting comfy on your left side,
        and fall asleep.
        "
    else:
        "
        Sleep comes swiftly.
        "

    # Midnight munchies?
    #
    #if gt.hour < 4:
    if debug:
        dbg "midnight check fullness [fullness]"
    if fullness < 60:
        call nwGasNight
    elif fullness < 200 and pc.randomGreed(0, 75):
        call nwGasNight

    return
