#
# Midnight snack.
#
label nwGasNight:
    # dbg "nwGasNight"
    # call debugMenu

    # 1am or an hour after sleeping.
    #
    if gt.hour < 7:
        $ gt.addHours(1)
    else:
        $ gt.addHours(25 - gt.hour)

    $ tmp = cardinal(gt.hour)
    """
    You wake, hungry. It's still dark out, so you check the time.
    It's [tmp] in the morning.

    You try and get back to sleep, but you can't.
    You are going to have to find something to eat.

    There's not much to be had in the kitchen though.
    And you don't want to wake Joe by clattering about making a
    fry-up.

    Besides if the noise didn't wake him, the smell of bacon would.
    Well, it wakes you up without fail.
    Maybe not everyone is the same?

    Then your thoughts turn to the shop, and it's shelves laden
    with goodies. That'll do.
    """
    if pc.isDietRestricted():
        menu:
            "This is a bad idea [pc.name]"
            "Resist!":
                if pc.testDietWill():
                    pc "I'll be careful and only have a small something so I can sleep."
                elif flags.isConsume('dietStopWill'):
                    pc "I hate dieting. I hate not being able to sleep.
                        I've had enough of dieting.
                        I'm going to eat what I want,
                        and then I'm going to sleep."
                else:
                    pc "I can't stand it.
                        I'm too tired and too hungry!"
    elif pc.cheatDay:
        "I know techincally it's past midnight,
        but it's still the same cheat day in my book."

    $ mealsize = pc.getMealSize()
    $ gsize = pc.gsize
    $ tmp = pc.locoVerb()
    if gsize >= 10:
        "
        You squeeze yourself out the bedroom door, and [tmp] downstairs.
        Excited about the idea of a furtive feast.
        "
    else:
        "
        You [tmp] downstairs.
        Excited about the idea of a furtive feast.
        "

label .choice:
    $ foodMenu.resetMealAcc()
    $ foodMenu.start(gasName)
    $ foodMenu.addFood('chocs', "A small bar of chocolate", 0, 0, True)
    $ foodMenu.addFood('chocm', "A bigger bar of chocolate, obviously", 0, 1, True)
    $ foodMenu.addFood('chocl', "A family sized bar of chocolate", 0, 2, True)
    $ foodMenu.addFood('icecreampt', "A pint of ice cream", 0, 2, True)
    $ foodMenu.addFood('peanuts', "Bag of peanuts", 0, 0, True)
    $ foodMenu.addFood('peanutm', "Sharing bag of peanuts", 0, 2, True)
    menu (foodMenu, screen="foodMenu"):
        "What do you want to snack on?"
        "chocs":
            "It's an easy choice, you do like your chocolate.
            Each square melts in your mouth, but it is soon gone."
            $ food.add("chocs")

        "chocm":
            "You do like your chocolate, and more is more!
            Each square melts in your mouth, but before long it is gone."
            $ food.add("chocm")

        "chocl":
            $ food.add("chocl")
            $ tmp = pc.adjArse()
            $ prompt = ", which creaks a little," if gsize >=9 else ""
            """
            If you are going to have a midnight feast,
            it might as well be a feast!
            And you need to be comfy.

            You sit your [tmp] ass on the counter[prompt] and
            savour square after square of heavenly chocolate
            in mindless bliss.
            """
            $ pc.addGreed(0.2)

        "icecreampt":
            "Your eyes stray to the freezer, and the tubs of ice cream."
            menu:
                "Are you really going to do this [pc.name]? A whole pint?"
                "Yes, it's a midnight feast!":
                    pc "I am a greedy girl who really wants ...
                        yes, a pint of triple chocolate ice cream.
                        Chocolate {i}and{/i} cream, two of my favourite things!"
                    $ food.add("icecreampt")
                    $ counters.inc('gasIcecream')
                    $ tmp = pc.adjArse()
                    $ prompt = ", which creaks a little" if gsize >=9 else ""
                    "
                    Sitting your [tmp] ass on the counter[prompt],
                    you eat spoon after spoon of it.
                    Mouth full, mind empty, save the delicious flavour,
                    until you reach the bottom.
                    "
                    $ pc.eatFood(food)
                    $ mealsize = pc.getMealSize()
                    if mealsize >= 3 and gsize >= 8 and pc.randomGreed(0, 60):
                        pc "Well, that was tasty, but I'm still not exactly full."
                        menu:
                            "What to do? There's plenty more ice cream in the freezer."
                            "Have another?":
                                pc "I {i}need{/i} more ice cream. How about some cookie dough?
                                    That ought to be enough, right?"
                                "
                                Carrying your second tub back to the counter you
                                heft yourself back up, and mindlessly consume
                                that one too.
                                "
                                $ food.add("icecreampt")
                                $ counters.inc('gasIcecream')
                                pc "Well, I should certainly be able to sleep now!"
                            "That's enough girl":
                                pc "See? I do have some self-control around food.
                                    I should get back to bed.
                                    It would have been nice though."
                    else:
                        pc "Well, I should be able to sleep now!"
                    $ pc.addGreed(0.2)
                "No, it would be really piggy!":
                    "That's right, it would be really piggy."
                    jump .choice

        "peanuts":
            "It's perhaps a healthier choice than some of your other options,
            and you munch away."
            $ food.add("peanuts")

        "peanutm":
            "Looking for something substantial, but slightly healthier
            than some of the other options, you find a big bag of peanuts
            and just start munching and munching."
            $ food.add("peanutm")
    $ pc.eatFood(food)
    $ pc.addGreed(0.1)

    if gsize >= 9:
        $ prompt = "waddle your {}".format(pc.adjBloat())
    else:
        $ prompt = "take your {}".format(pc.adjBloat())
    "
    Satisfied, you are able to [prompt] tummy back to bed and fall asleep again.
    "

    return
