#
# Working the gas station till.
#
label nwGasWork:

    if gt.hour < 12:
        $ rnd = pc.randomBool(50) and dayCounters.isFirst('gsEvent')
    else:
        $ rnd = not dayCounters.isOne('gsEvent')
    if rnd:
        call .workDiff
    elif pc.randomBool(60):
        # Try conditional things first.
        #
        call .rndCond

        # If that didn't trigger use random ones.
        #
        if not done:
            call .rnd
    else:
        # Dullness and drudgery.
        "
        The time passes uneventfully:
        serving customers,
        refilling the shelves,
        and listening to the local radio station.
        "
    $ pc.useEnergy(2)
    $ gt.addHours(4)
    return

    # Random workday events
    #
label .workDiff:

    # Who else is here? More than one flag can get set.
    #
    $ steveHere = False
    $ sofiaHere = False
    $ tmp = 80
    if steve.isRomance() and sofia.isRomance():
        $ tmp = 60
    if gt.dayNum > 6:
        $ steveHere = steve.randomRomance(40, tmp)
        $ sofiaHere = sofia.randomRomance(40, tmp)

    # De-dup
    #
    if steveHere and sofiaHere:
        if steve.romance > sofia.romance:
            $ sofiaHere = False

    # $ steveHere = True
    # $ sofiaHere = True
    # Divert if person here.
    #
    if debug:
        dbg "steve=[steveHere] sofia=[sofiaHere]"
    $ done = False
    if steveHere:
        call nwGasWorkSteve
    elif sofiaHere:
        call nwGasWorkSofia

    # Try conditional things first.
    #
    call .rndCond

    # If that didn't trigger use random ones.
    #
    if not done:
        call .rnd

    return


# Random but conditional events.
#
label .rndCond:
    # dbg "nwGasWork.rndCond"
    $ rnd = pc.random(0,1)

    #    if rnd == 1:
    #        call .fountain

    return

    # Random unconditional events.
    #
label .rnd:
    $ rnd = pc.random(1,5)
    # $ rnd = 5   # FIX!
    if rnd == 1:
        call .brownout
    elif rnd == 2:
        call .outOfDate
    elif rnd == 3:
        call .topShelf
    elif rnd == 4:
        call .icecream
    elif rnd == 5:
        call .cosmo
    else:
        dbg "nwGasStation.workDiff: no case for [rnd]"
    return

label .brownout:
    "
    Without any warning the lights go out and the place falls silent.
    You are so used to the radio being on and the background noise of
    the fridge and freezer running it seems really odd.
    "
    pc "Bugger!"
    "
    The pumps won't run without power so you decide to take a chair outside
    and sit in the sun with a magazine.
    When someone does pull up you quickly explain the problem.
    "
    "
    A couple of hours pass before the power comes back on.
    "
    return

label .cosmo:
    "
    After an initial rush things seem to have gone quiet.
    You amuse yourself by doing one of those quizes in a
    woman's magazine, and toting up your answers:
    "
    $ gsize = pc.gsize
    if gsize >=3:
        if pc.isDietConsider():
            """
            Mostly 'A's:
            \nFeeling frumpy?
            Our Mediterranean diet pull-out will get you ready for summer.

            Italy is on the Mediterranean, yet my pizza diet isn't
            really helping.
            """
            $ pc.addMood(-0.1)
        else:
            """
            Mostly 'D's:
            \nYou are a sexy voluptous woman who knows what she wants!
            Check out the decedently rich Sachertorte recipe on p.113.

            You flick to the recipe section, and damn that looks good!
            Chocolate craving awoken you need some, and now!
            Just a little something from the shelves ...
            """
            $ food.add('chocs')
            $ pc.eatFood(food)
            $ pc.addGreed(0.1)
    else:
        if pc.isDietConsider():
            if gsize == 0:
                $ tmp = "quite a bit bigger"
            elif gsize == 1:
                $ tmp = "a bit bigger"
            else:
                $ tmp = "slightly bigger"
            """
            Mostly 'C's:
            \nWorried about your weight?
            You shouldn't be.
            Our survey (p.42) shows most men prefer their partners
            curvier than women expect.

            The survey has two photos:
            on the left a wierd composite photo of a skinny girl
            supposedly chosen by women,
            on the right a decidedly curvier one chosen by men.

            The men's one is decidedly curvier, and [tmp] than you.
            I guess that's you told then.
            """
            $ pc.addLim(0.5)
        else:
            """
            Mostly 'B's:
            \nFit, trim, and ready for the beach!
            In this issue (p.76) our travel section highlights
            beauty and history of the Amalfi coast.

            It does look stunning, a shame it's thousands of miles
            away and way beyond your budget.
            """
            $ pc.addMood(0.1)
    "Huh. Who knew these things could ever be right?"
    return


label .icecream:
    """
    As you are filling the shelves up you come across yet another item
    an inconsiderate customer has put down in the wrong place.
    Usually it's simple enough to return them, but this time it's
    a whole pint of ice cream.

    You pick it up and it's decidedly soft!
    There's no way you can put this back on sale,
    it will go all gritty when it re-freezes.
    What to do?
    [pc.name], you wouldn't ...?
    """
    $ opt = pc.randomGreed(0, 80) # and pc.isDietUnrestricted()
    if not opt:
        $ prompt = "What to do with this ice cream?"
        $ prompt = pc.appendPrompt(prompt, gt.hour, pc.getMealSize())
        menu:
            "[prompt]"
            "Just have a little taste of it":
                $ pass

            "Resist this temptation" if pc.isDietRestricted():
                if pc.testDietWill():
                    "With grim determination you throw it in the trash."
                    return
                elif flags.isConsume('dietStopWill'):
                    "In that moment, faced with this creamy treat,
                     you give up on the idea of dieting."
                else:
                    "The temptation is too great, today is now a cheat day."

            "Bin this deliciousness" if pc.isDietUnrestricted():
                "With some reluctance you throw it in the trash."
                return
    elif pc.isDietRestricted():
        $ pc.decWill()
        if flags.isConsume('dietStopWill'):
            "In that moment, faced with this creamy treat,
             you give up on the whole idea of dieting."
        else:
            "The temptation is too great, today is now a cheat day."
    "
    You find a spoon, open the tub and just have a little.
    It's cookie dough, one of your favourites.
    Not that you've ever had an ice cream you didn't like.
    "
    $ food.addScale('icecreampt', 0.33)
    $ pc.eatFood(food)
    $ opt = pc.randomGreed(0, 80) and pc.isDietUnrestricted()
    if not opt:
        menu:
            "You've eaten about a third of it, so it's time to stop, right?"
            "Just a little more won't hurt":
                $ pass

            "Enough is enough":
                "With some reluctance you throw the remains in the trash."
                return
    $ pc.addGreed(0.1)
    "
    It is rather good, and oh-so creamy.
    You'll just have another couple of spoonfuls or three.
    "
    $ food.addScale('icecreampt', 0.33)
    $ pc.eatFood(food)
    $ opt = pc.randomGreed(0, 80) and pc.isDietUnrestricted()
    if not opt:
        menu:
            "You've eaten about two thirds of it, that's more than enough, right?"
            "But, there's hardly any left now":
                $ pass

            "Enough is enough [pc.name]. [pc.name]?":
                "With some reluctance you throw what little remains in the trash."
                return
    $ food.addScale('icecreampt', 0.34)
    $ pc.eatFood(food)
    $ pc.addGreed(0.2)
    """
    Before you know what you've done, the tub is empty.
    Ooops. Eating a whole tub of ice cream wasn't the plan!

    As you are about to dispose of the evidence,
    you notice the nutritional information: 1000 calories.
    That's half of what you should eat in a whole day!
    """
    if pc.greed <= 25:
        pc "[pc.name], you've been a little pig."
    else:
        call player.greedTmp
        pc "[pc.name], you've been a [tmp]."
    return

label .outOfDate:
    "
    There's always one customer who manages to find the only out of date
    item in the chiller.
    "
    customer "This sandwich is past it's date."
    pc "I'm really sorry, I thought I'd checked them all this morning. Must have missed that one"
    pc "Let me have that, and you can choose another."
    customer "Oh, okay."

    menu:
        "It's only a day over. Should I bin it or eat it?"
        "Bin":
            "You throw it in the trash."
        "Eat":
            pc "There's nothing wrong with this. No point throwing it out."
            "You open the pack and munch the sandwich."
            $ food.add("sandwich")
            $ pc.eatFood(food)
            $ pc.addGreed(0.1)
    return

label .topShelf:
    """
    You've seen this guy in here before.
    He's only marginally taller than you are,
    and always wants one of the \"top shelf\" magazines.
    Today's no different.

    Time to get the steps, and fetch what he wants.
    \"Service with a Smile!\"
    I don't think he's getting {i}serviced{/i} though.
    """
    if pc.randomBool(60):
        if gsize < 2:
            "
            Most of the girls in those magazines are skinny, like yourself,
            but tall and big chested, very much unlike yourself.
            You sigh.
            Not so much love for petite girls.
            "
            $ pc.addMood(-0.5)
        elif gsize == 2:
            "
            Most of the girls in those magazines are tall, big chested,
            and thinner than you are now.
            You sigh.
            Not much love for normal girls.
            "
            $ pc.addMood(-0.2)
        elif gsize == 3:
            "
            Most of the girls in those magazines are tall, big chested,
            and thin.
            You sigh.
            Your boobs are bigger now that you're podgy, but still not their size.
            Genetic freaks! Or more likely implants.
            "
            $ pc.addMood(-0.2)
        elif gsize < 5:
            "
            Most of the girls in those magazines are tall, big chested,
            and thin.
            You sigh.
            Not much love for short fat girls.
            "
            $ pc.addMood(-0.2)
        else:
            "
            Most of the girls in those magazines are tall, big chested,
            and thin.
            You sigh.
            Not much love for short obese girls.
            "
            $ pc.addMood(-0.2)
    else:
        if gsize < 3:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Maybe it's the photography, or the airbrushing,
            but some of them look kinda hot.

            Not that you could imagine ever being that {i}big{/i},
            but someone must like them.
            """
            $ pc.addLim(0.5)
        elif gsize == 3:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Maybe it's the photography, or the airbrushing,
            but some of them look hot.

            Someone must like them.
            You look down at your plump tummy.
            No, no. Don't even think it [pc.name].
            """
            $ pc.addLim(0.5)
            $ pc.addGreed(0.1)
        elif gsize == 4:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Maybe it's the photography, or the airbrushing,
            but some of them are decidedly hot.

            Someone must like them.
            You look down at your growing tits and fat tummy.
            You're still not that kind of size, but maybe there's hope for you yet.
            No, no. Don't even think it [pc.name].
            """
            $ pc.addLim(0.5)
            $ pc.addGreed(0.1)
            $ pc.addMood(0.2)
        elif gsize == 5:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Some of them are decidedly hot.

            Someone must like them.
            You look down at your growing tits and fat belly.
            Your twice the girl you used to be, and on a par with some the smallest of those models.
            Perhaps you could ... no, no, don't even think about it [pc.name].
            """
            $ pc.addLim(1)
            $ pc.addGreed(0.1)
            $ pc.addMood(0.5)
        elif gsize == 6:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, pudge and rolls.
            Some of them are decidedly hot.

            Someone must like them.
            You look down at your heavy boobs and what you can see beyond of your belly.
            Some of the girls are smaller than you are now.
            Perhaps you could ... no, no, don't even think about it [pc.name].
            """
            $ pc.addLim(2)
            $ pc.addGreed(0.1)
            $ pc.addMood(0.5)
        elif gsize == 7:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, fat and rolls.
            Some of them are really hot.

            Someone must like them.
            Looking at the articles, you read that you are now, officially, a Big Beautiful Woman.

            You look down at your weighty boobs and what you can see beyond of your growing belly.
            Perhaps you could ... no, no, don't even think about it [pc.name].
            """
            $ pc.addLim(3)
            $ pc.addGreed(0.1)
            $ pc.addMood(1)
        elif gsize == 8:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, fat and rolls.
            Some of them are really hot.

            You look down at your weighty boobs and what you can see beyond of your hanging belly.
            Someone must like us big girls.

            There's a piece about how to gain,
            not that you've exactly been having problems with in that area,
            but ... no, no, don't even go there [pc.name].
            """
            $ pc.addLim(4)
            $ pc.addGreed(0.2)
            $ pc.addMood(0.5)
        elif gsize < 10:
            $ rnd = pc.random(1,4)
            if rnd == 1:
                $ prompt = "cow print"
            elif rnd == 2:
                $ prompt = "something revealing"
            elif rnd == 3:
                $ prompt = "a bra that fits"
            elif rnd == 4:
                $ prompt = "sexy big girl panties"
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All curves, fat and rolls.
            They all look really hot.

            Your fat tits, soft hanging belly, prodigious bum, and thick thighs are
            bigger than most of the featured girls.
            You are one fat babe! A sexy fat babe.

            Some of the advertisements catch your eye,
            as it's getting hard to find anything that fits now in stores.
            You need the internet, and [prompt]!
            """
            $ pc.addLim(4)
            $ pc.addGreed(0.5)
        elif gsize == 10:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All fat, curves, and rolls.
            They all look really hot.

            You look down at your weighty boobs and what you can see beyond of your growing belly.
            Reading the articles, you are now officially a Super Sized Big Beautiful Woman.
            Bigger than all but the largest of the models.

            Thinking about how big you've become is making you wet.
            Perhaps you could ... no, no, don't even think about it [pc.name], you're at work.
            """
            $ pc.addLim(3)
            $ pc.addGreed(1)
            $ pc.addMood(1)
        else:
            """
            In amongst the traditional fare, there's one featuring bigger girls.
            All fat, curves, and rolls.
            They all look fucking hot.

            You heft your massive boobs, grab a handful of your heavy pendulous belly,
            then do a little dance that gets your booty slapping and thighs shaking.
            You are one sexy cow!

            A horny sexy cow who needs a little personal time.
            Perhaps you could ... no, no. don't even think about it [pc.name],
            you're at work,
            and, well, things are getting hard to reach.
            """
            $ pc.addLim(5)
            $ pc.addGreed(1)
            $ pc.addMood(1)
    return
