label nwRiverFood:

    # Only encounter with Steve once per day.
    if steveHere and not dayCounters.isFirst('steveFoodtruck'):
        $ steveHere = False

    # Only encounter Sofia once per day.
    if sofiaHere and not dayCounters.isFirst('sofiaFoodtruck'):
        $ sofiaHere = False

    # De-dup.
    if steveHere and sofiaHere:
        if steve.breakup:
            $ steveHere = False
        elif steve.romance > sofia.romance:
            $ sofiaHere = False
        else:
            $ steveHere = False

label .food:
    "
    You walk up to the food truck and stand in line waiting to be served.
    The queue is moving at a brisk pace, and soon you are looking up
    at the vendor.
    "
    vendor "What would you like this fine day?"
    $ mealsize = pc.getMealSize(True)
    $ prompt = pc.appendPrompt("What should I order?", gt.hour, mealsize)
    $ foodMenu.resetMealAcc()
    $ foodMenu.start("Barkin' Dogs")
    $ foodMenu.addHeader("Dogs:")
    $ foodMenu.addFood('hotdog', "A hot dog", 0, 1)
    $ foodMenu.addFood('hotdogml', "A hot dog meal", 0, 2)
    $ foodMenu.addHeader("Treats:")
    $ foodMenu.addFood('donut', "A donut", 0, 0)
    $ foodMenu.addFood('icecream', "An ice cream", 0, 0)
    menu (foodMenu, screen="foodMenu"):
        "[prompt]"
        "Dogs:":
            pass
        "hotdog":
            pc "A hot dog please."
            vendor "Fried onions?"
            pc "Yes please."
            $ food.add("hotdog")
            $ pmain = "hot dog"
        "hotdogml":
            pc "A hot dog meal please."
            vendor "Fried onions?"
            pc "Yes please."
            $ food.addList("hotdog", "friesm", "coke")
            $ food.setMeal(True)
            $ pmain = "hot dog, fries, and coke"

        "Treats:":
            pass
        "donut":
            pc "A donut please."
            vendor "I've got regular, glazed, vanilla, apple, strawberry, and chocolate?"
            if pc.diet and not pc.cheatDay:
                pc "I really want a chocolate one, but I'll take a plain"
                $ pmain = "sugared donut"
            elif pc.randomBool(70):
                pc "Chocolate please!"
                $ pmain = "chocolate donut"
            else:
                $ opt = pc.random(1,4)
                if opt == 1:
                    pc "Glazed please."
                    $ pmain = "glazed donut"
                elif opt == 2:
                    pc "Vanilla please."
                    $ pmain = "vanilla donut"
                elif opt == 3:
                    pc "Apple please."
                    $ pmain = "apple donut"
                else:
                    pc "Strawberry please."
                    $ pmain = "strawberry donut"
            $ food.add("donut")
        "icecream":
            pc "A chocolate ice cream please."
            vendor "Syrup and sprinkles?"
            pc "Yes, and yes."
            $ food.add("icecream")
            $ pmain = "chocolate ice cream"

        "Nothing":
            pc "It all looks good, but I've had a change of heart, sorry."
            vendor "Okay, come back another time."
            return

    vendor "Will that be all?"
    pc "Yes thank you."
    $ pc.spend(food.cost)

    "
    You walk over to an empty bench and savour your [pmain] in the sun.
    "
    $ pc.eatFood(food)

    # $ steveHere = False
    # $ sofiaHere = True

    if steveHere:
        call nwRiverFoodSteve
    elif sofiaHere:
        call nwRiverFoodSofia

    $ pc.useEnergy(1)
    $ gt.addHours(1)

    return



label .carbsSteve:
    "
    You sit at one of the benches as Steve joins the queue at the
    food truck. Before very long he's back with a greasy paper bag.
    "
    steve "Donut?"
    pc "I don't mind if I do."
    "
    You devour the donut. Steve is a little calmer with his.
    "
    $ food.add('donut')
    $ pc.eatFood(food)
    $ mealsize = pc.getMealSize()
    $ opt = mealsize > 1 or steve.isPcThin()
    if opt:
        steve "Want another?"
        pc "Yes please."
        "
        You try and be a little more lady like with your second.
        "
        $ food.add('donut')
        $ pc.eatFood(food)
        $ steve.addRomance(0.1)
        $ opt = mealsize > 2 or steve.isPcThin()
        if opt:
            if steve.randomFeeder(20, 100):
                "
                Steve holds a third donut up to your mouth,
                and you bite in, enjoying both the donut and his attention.
                "
                $ food.add('donut')
                $ pc.eatFood(food)
                $ steve.addFeeder(0.5)
            else:
                steve "Would you like the last one munchkin?"
                $ steve.addRomance(0.1)
                $ prompt = pc.appendPrompt("Would you like another donut?", gt.hour, mealsize)
                menu:
                    "[prompt]"
                    "Yes":
                        pc "Yes please, though it is a bit naughty."
                        "
                        You take your time over your third treat
                        as you don't actually need this one.
                        "
                        $ food.add('donut')
                        $ pc.eatFood(food)
                        $ pc.addGreed(0.2)
                    "No":
                        pc "I've had enough thank you. You have it."
                        steve "Don't blame me if I get fat."
                        pc "But you bought them all!"
                        if pc.randomGreed(30, 100):
                            pc "We can't have you getting fat babe, let's not tempt you."
                            "
                            You take your time over your third treat
                            as you don't actually need this one.
                            "
                            $ food.add('donut')
                            $ pc.eatFood(food)
                            $ pc.addGreed(0.1)
                        else:
                            steve "I'll just have to eat it then."
                    "Wait" if steve.isFeeder():
                        "
                        Steve holds a third donut up to your mouth,
                        and you bite in, enjoying both the donut and his attention.
                        "
                        $ food.add('donut')
                        $ pc.eatFood(food)
                        $ pc.addGreed(0.2)
                        $ steve.addFeeder(0.5)
            # End third donut
        # End second donut
    "Finally you give Steve a kiss with your sweet sugar-coated lips."
    pc "Thank you!"

    return
