#
# Fountain in the town park.
#
label nwFount:
    if gt.hour > 19 or gt.hour < 5:
        "
        You pick your way in the dark over to the foutain at the centre of the
        park. It's so quiet here.
        Huh. The fountain isn't even running,
        must be on some kind of timer to save energy or something.
        "
    elif gt.hour >= 9:
        "
        You make your way over to the fountain where water is gently
        cascading into the pool below.
        Like every other fountain you've ever seen there are coins below the water
        from people making wishes.
        "
    else:
        "
        As you approach the fountain the water is perfectly still,
        reflecting the golden colours of the sunrise.
        "
    $ world.setLoc('nwFount')
    return

    # Present the player with choices.
    # Do one of them.
    #
label .freeChoice:
    $ dbgLog("nwFount.freeChoice")
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt("What to do?", gt.hour, mealsize)
    menu:
        "[prompt]"
        "Make a wish" if not dayFlags.isSet('pcWish') and pc.canAfford(1):
            $ dayFlags.set('pcWish')
            call .wish
        "Leave the fountain":
            $ world.setLoc('nwTownPark')
        "Head home" if gt.hour >= 20 or pc.energy <= 2:
            $ world.dayOver = True
        "Debug" if debug:
            call debugMenu
    return

    # Toss a coin in the fountain and make a wish.
    #
label .wish:
    $ dbgLog("nwFount.wish")
    menu:
        "What should I wish for?"
        "An end to my diet" if pc.isDietRestricted():
            call .wishDietEnd
        "Being happier with my weight":
            call .wishHappyWeight
        "Cold hard cash":
            call .wishCash
        "Lose some weight" if pc.isDietUnrestricted() and pc.gsize >= 2:
            call .wishLoseWeight
        "I've changed my mind, this is stupid":
            $ dayFlags.clear('pcWish')
    return

    # Wish for some cash.
    # This is deliberately set up to provide a small net return.
    #
label .wishCash:
    $ dbgLog("nwFount.wishCash")
    "
    You think about having more money and toss a coin into the fountain.
    As it plops into the water and shimmies to the bottom you realise this
    might not have been the smartest plan.
    "
    $ pc.spend(0.25)
    $ rnd = pc.randomBool(10)
    # $ rnd = True
    if rnd:
        "
        Looking away from the pool you see a banknote on the floor,
        and stoop to pick it up. It's a five spot.
        Wow, you weren't expecting that to work. Cool.
        "
        $ pc.earn(5)
    return

    # Wish for diet to end.
    # This could go one of two ways...
    #
label .wishDietEnd:
    $ dbgLog("nwFount.wishDietEnd")
    "
    You think about the gnawing hole in your tummy, wishing that your diet
    was over, and toss a coin in the fountain.
    Ripples spread across the pool as it sinks to the bottom.
    "
    $ pc.spend(0.25)
    $ rnd = pc.randomBool(60)
    # $ rnd = True
    if rnd:
        if pc.testDietWill():
            # Player has succeded in resist test.
            #
            $ rnd = pc.random(10, 40)
            $ pc.fat -= (pc.oldKg - pc.dietGoal)/rnd
            $ pc.updateWeight()
            "
            You get this odd inexplicable feeling that you might be a little
            closer to your goal.
            "
        else:
            # Player failed their resist test.
            #
            "
            There at the side of the fountain is a large bar of chocolate you
            somehow hadn't noticed before.
            Driven by hunger you rip it open and take a huge bite.
            Then another. Then cram the rest in your mouth. Bliss.
            "
            $ food.add("chocl")
            $ pc.eatFood(food)
            $ gt.addHours(1)
            if flags.isConsume("dietStopWill"):
                pc "I give in. I'm done with dieting!
                    Chocolate is too good.
                    Wait, does that mean I got my wish?"
            else:
                pc "Oh well, I guess this is going to be a cheat day now,
                    and I won't be dieting anymore today.
                    Fickle fountain, that's not what I meant at all!"
    else:
        pc "Well, it was worth a try."
    return

    # Wish for losing weight when not on a diet.
    # Either removes some weight or allows PC to choose to diet.
    #
label .wishLoseWeight:
    $ dbgLog("nwFount.wishLoseWeight")
    $ gsize = pc.gsize
    if pc.isDietConsider():
        "
        You think about how fat you have become, and how unhappy you are,
        and toss a coin into the pool.
        It slips into the water with a plink, barely causing a ripple.
        "
    else:
        "
        You think about how fat you have become
        and toss a coin into the pool.
        It slips into the water with a plink, barely causing a ripple.
        "
    $ pc.spend(0.25)
    $ rnd = pc.randomBool(10)
    # $ rnd = True
    if rnd:
        $ rnd = pc.random(50, 100)
        $ pc.fat -= pc.fat / rnd
        $ pc.updateWeight()
        "
        You get this odd inexplicable feeling that you might be a little
        lighter than you were before.
        "
    else:
        "
        Well, your pocket is lighter, but that's all.
        Oh well, there are more conventional means of losing weight, like
        diet and exercise.
        "
        call player.thinkDiet
    return

    # Wishing you were happier about your weight.
    #
label .wishHappyWeight:
    $ dbgLog("nwFount.wishHappyWeight")
    if pc.isDietConsider():
        "
        You think about how fat you've become, how unhappy you are,
        and toss a coin into the pool.
        It plops into the water, ripples spreading outwards.
        "
        $ rnd = pc.randomBool(5)
        # $ rnd = True
        if rnd:
            $ pc.fatLim = int(round(pc.fat * 11 + 6)/10)
            "
            Against all odds, you no longer feel unhappy about your size
            at all, coming to terms with the fact that you are just a bigger girl now.
            "
        else:
            "
            Well, your pocket is lighter, but you don't feel any different.
            As you turn away you notice someone checking you out, clearly
            appreciating your form, and that brings a smile to your face.
            "
            $ pc.addLim(1.0)
    else:
        "
        You think about how fat you've become, how much bigger you might get,
        and toss a coin into the pool.
        It plops into the water, ripples spreading outwards.
        "
        $ rnd = pc.randomBool(5)
        # $ rnd = True
        if rnd:
            $ gsize = pc.gsize
            if gsize == 11:
                $ pc.fatLim = hardLimKg - pc.base + 10
                "
                You get this odd and inexplicable feeling that you could
                be as fat as you want and still be happy.
                "
            else:
                $ tmp = int(round(sizeLims[gsize] * 11 + 6)/10)
                $ pc.fatLim = max(pc.fatLim, tmp)
                dbg "tmp=[tmp] pc.fatLim=[pc.fatLim]"
                "
                You get this odd and inexplicable feeling that you could
                go up a size and still be happy.
                "
        else:
            "
            Well, your pocket is lighter, but you don't feel any different.
            As you turn away you notice someone checking you out, clearly
            appreciating your form, and that brings a smile to your face.
            "
            $ pc.addLim(1.0)
    return
