# The low path through the woods.
#
label nwWoodsLow:
    $ dbgLogDet("nwWoodsLow")
    $ gsize = pc.gsize

    # Only visit with Steve once per day.
    if steveHere and not dayCounters.isFirst('steveWoodsLow'):
        $ steveHere = False

    # Only visit with Sofia once per day.
    if sofiaHere and not dayCounters.isFirst('sofiaWoodsLow'):
        $ sofiaHere = False

    # De-dup.
    if steveHere and sofiaHere:
        if steve.breakup:
            $ steveHere = False
        elif steve.romance > sofia.romance:
            $ sofiaHere = False
        else:
            $ steveHere = False

    # Divert if someone else is here.
#    if sofiaHere:
#        call nwRiverJogSofia
#    elif steveHere:
#        call nwRiverJogSteve
#    else:
    call .alone
    return

    # Walking alone in the woods.
    #
label .alone:
    $ dbgLogDet("nwWoodsLow.alone")
    $ tmp = pc.locoVerb()
    "
    You head into the woods and [tmp] down one of the many paths that
    don't climb the hillside.
    As you get deeper into the woods the noise from the town fades
    and there's just the snapping of twigs underfoot.
    "
    $ rnd = pc.random(0,2)
    # $ rnd = 1
    if rnd == 0:
        call .berries
    elif rnd == 1:
        call .hillside
    return

    # Finding some berries.
    #
label .berries:
    $ dbgLogDet("nwWoodsLow.berries")
    if gsize < 5:       # skinny .. fat
        "
        Before long there's a wooden plank footbridge over a small stream and
        your footsteps sound unnaturally loud as you cross.
        "
    elif gsize < 7:     # < 300
        "
        Before long there's a wooden footbridge over a small stream and
        you feel the planks bend as you cross.
        Bouncing up and down in the centre you can make the whole
        thing move.
        "
    elif gsize < 10:    # < 600
        "
        Before long there's a wooden footbridge over a small stream.
        The planks bend and creak as you cross and you wonder how safe it
        is for someone your size.
        "
    else:               # >= 600
        "
        Before long there's a wooden footbridge over a small stream.
        The planks bend and creak alarmingly as you start to cross.
        There's not much you can do about your weight, but try to walk
        as daintily as you can.
        "
    $ pc.walkRun(1)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    "
    Ahead there's a patch of sunlight and the path is crowded by tall leafy
    bushes. Looking closely there are clusters of blackberries hidden under the
    leaves.
    "
    $ mealsize = pc.getMealSize()
    $ prompt = pc.appendPrompt("Eat some berries?", gt.hour, mealsize)
    menu:
        "[prompt]"
        "Eat some" if pc.isDietUnrestricted():
            "
            You pick a berry and eat it.
            It's succulent, full of flavour, and sweet and tart at the same
            time.
            Several handfuls of berries follow and you graze on the bushes
            as you meander along the path.
            "
            "
            Regretfully you reach the end of the blackberry bushes and head
            into the trees again.
            A little further on this path intersects another and you
            follow it back to the start.
            "
            $ food.addScale('blackberry',2)
            $ pc.eatFood(food)
            call .berryCache
        "Resist" if pc.isDietRestricted():
            if pc.testDietWill():
                "
                The berries are very tempting, but you stick to your
                diet and [tmp] past the bushes as fast as you can.
                Soon you find another path crossing this one and head
                back to the start.
                "
            elif flags.isConsume('dietStopWill'):
                "
                Faced with nature's bounty you decide that dieting is
                unnatural and pointless.
                You grab handfuls of berries and cram them
                into your mouth, the dark juice running down your chin.
                "
                "
                Feeling happier you deplete one bush and make a start on the
                next, just doing what comes naturally.
                Regretfully you come to the end of the bushes and head back
                into the woods, hands stained with berry juice.
                "
                $ food.addScale('blackberry',4)
                $ pc.eatFood(food)
                call .berryCache
                "
                A little further on this path intersects another and you
                follow it back to the start.
                "
            else:
                "
                It's no good, the hunger is too much to bare.
                You grab handfuls of berries and cram them
                into your mouth, the dark juice running down your chin.
                "
                "
                Working your way from bush to bush you feast on nature's
                bounty until you find yourself back in woods again.
                Your hands are stained with berry juice.
                Oh well, it's going to be a diet cheat day now.
                "
                $ food.addScale('blackberry',6)
                $ pc.eatFood(food)
                call .berryCache
                "
                A little further on this path intersects another and you
                follow it back to the start.
                "
        "Walk on" if pc.isDietUnrestricted():
            "
            Leaving the berries behind the path intersects another and you
            follow it back to the start.
            "
    $ pc.walkRun(1)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return

    # Berries in cleavage?
    #
label .berryCache:
    if gsize >= 9:
        "
        Looking down you see a few berries have fallen into your ample
        cleavage.
        You pick them out and eat them; they are oddly warm but just as
        tasty.
        "
    elif gsize >= 4:
        "
        Looking down you see a berry has fallen into your cleavage.
        You pick it out and eat it; it's oddly warm but just as
        tasty.
        "
    return

    # Hill overlooking river.
    #
label .hillside:
    $ dbgLogDet("nwWoodsLow.hillside")
    """
    It's quiet and relaxing under the tree cover, shafts of sunlight
    breaking through the canopy.

    A small stream running down the hillside burbles through a culvert
    under the path.
    """
    if gsize < 5:       # skinny .. fat
        """
        The path rises very gently, skirting around the left of a rocky
        outcropping that's dotted with lichens.

        Finally the path opens onto a grassy area that overlooks the river
        in the valley below.
        There's a bench here and you sit to enjoy the view.
        """
    elif gsize < 7:     # < 300
        """
        The path starts to rise, skirting around the left of a rocky
        outcropping that's dotted with lichens.
        Your breathing becomes more laboured and your skin slick with
        perspiration.

        Finally the path opens onto a grassy area that overlooks the river
        in the valley below.
        There's a bench here and you flop onto it, enjoy the view once you
        recover your breath.
        """
    elif gsize < 10:    # < 600
        """
        The path starts to rise, skirting around the left of a rocky
        outcropping that's dotted with lichens.
        Your breathing becomes laboured and your skin slick with
        sweat.

        You take a break to catch your breath, sitting on the rock, before
        continuing.
        """
        $ pc.walkRun(0.5)
        """
        Finally the path opens onto a grassy area that overlooks the river
        in the valley below.
        There's a very welcome bench here and you collapse onto it,
        enjoy the view once you recover your breath.
        """
    else:               # >= 600
        """
        The path starts to rise, skirting around the left of a rocky
        outcropping that's dotted with lichens.
        Your breathing becomes laboured and your skin slick with
        sweat, each step an effort.

        You take several breaks to catch your breath, ease your tired
        and aching legs, and mop the sweat from your brow.
        """
        $ pc.walkRun(0.5)
        $ pc.useEnergy(1)
        $ gt.addHours(1)
        """
        Finally the path opens onto a grassy area that overlooks the river
        in the valley below.
        Thank goodness there's a bench here.
        It creaks worryingly as you collapse, panting, onto it.
        """
    $ pc.walkRun(1)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    "
    It really is beautiful here:
    the wooded sides of the valley,
    the glittering ribbon of the river below,
    birdsong,
    the sun on your face.
    Though you wish you'd brought a snack and a drink.
    "
    $ pc.addMood(0.2)
    if gsize > 9:       # 600+
        """
        Even though the way back is downhill, it's exhausting.
        Your heavy body wobbling with each knee aching step,
        and occasionally having to catch yourself against a tree to
        stop gravity besting you.

        Finally you get back to the notice board and lean against it, exhausted.
        """
    elif gsize > 7:     # 400 +
        "
        Even thought the way back is downhill it's hardly easy keeping
        your bulk in check.
        Everything is wobbling about with each step and threatening your balance.
        As the start of the trail is in sight, you think about how your
        legs are going to ache tomorrow.
        "
    elif gsize >= 4:    # fat+
        "
        You decide to follow a different path back.
        It's much easier going downhill though you feel your pudge shake with
        each step.
        Before long you find yourself back at the start.
        "
    else:
        "
        You decide to follow a different path back.
        It's much easier going downhill, and
        before long you find yourself back at the start.
        "
    $ pc.walkRun(1)
    $ pc.useEnergy(1)
    $ gt.addHours(1)
    return
