# Screen for restaurant menus.
#
screen foodMenu(foodMenu, items):
    style_prefix foodMenu.stylePrefixM

    frame:
        vbox:
            spacing 2
            if foodMenu.titleM:
                text foodMenu.titleM style foodMenu.stylePrefixM+"_text_title"

            if foodMenu.subtitleM:
                text foodMenu.subtitleM style foodMenu.stylePrefixM+"_text_subtitle"

            for i in items:
                # Is there a substitution for this item?
                #
                if foodMenu.has(i.caption):
                    $ entry = foodMenu.get(i.caption)

                    # What type of thing is the replacement?
                    #
                    if entry.header:
                        # Section header.
                        text entry.prompt style foodMenu.stylePrefixM+"_text_header"
                    elif entry.available:
                        # Selectable item.
                        # Set foodMenuSeln when clicked.
                        #
                        button:
                            action [ SetVariable("foodMenuSeln", i.caption), i.action ]
                            text entry.text()
                    else:
                        # Unselectable item
                        text foodMenu.text(i.caption)
                else:
                    # Just a normal menu entry.
                    # Set foodMenuSeln when clicked.
                    #
                    button:
                        action [ SetVariable("foodMenuSeln", i.caption), i.action ]
                        text i.caption

style food_frame is frame
style food_vbox is vbox
style food_button is button
style food_button_text is button_text

# Style for menu frame.
# Values from choice_menu window.
#
style food_frame:
    xalign 0.5
    ypos 270
    yanchor 0.5

# Selectable item button.
# Use white background, but normal hover, and minimal padding.
# Size from choice_button.
#
style food_button is default:
    #properties gui.button_properties("choice_button")
    background Frame("gui/button/food_idle_background.png",10,10)
    hover_background Frame("gui/button/food_hover_background.png",10,10)
    #padding (100, 0, 100, 0)
    xpadding 100
    ypadding 2
    xsize 790

style food_button_text is default:
    properties gui.button_text_properties("choice_button")

# Normal text
#
style food_text is default:
    xalign 0.5
    xpadding 100
    ypadding 3
    xsize 790

# Menu section header
#
style food_text_header is food_text:
    xalign 0.2
    size 24

# Menu title.
#
style food_text_title is food_text:
    size 26

# Menu subtitle
#
style food_text_subtitle is food_text:
    size 24
